commit 4b878f4b27b78a9876054f632368648d5118a269
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jul 9 14:23:38 2012 +0200

    sync translations with transifex

 po/ar.po          |    6 ++---
 po/as.po          |    6 ++---
 po/ast.po         |    6 ++---
 po/bg.po          |    6 ++---
 po/bn.po          |    6 ++---
 po/bn_IN.po       |    6 ++---
 po/ca.po          |    6 ++---
 po/ca@valencia.po |    6 ++---
 po/cs.po          |    6 ++---
 po/da.po          |    6 ++---
 po/de.po          |   63 +++++++++++++++++++++++++++--------------------------
 po/dz.po          |    6 ++---
 po/el.po          |    6 ++---
 po/en_GB.po       |    6 ++---
 po/es.po          |   63 +++++++++++++++++++++++++++--------------------------
 po/et.po          |    6 ++---
 po/eu.po          |   34 ++++++++++++++---------------
 po/fi.po          |    6 ++---
 po/fr.po          |   63 +++++++++++++++++++++++++++--------------------------
 po/ga.po          |    6 ++---
 po/gl.po          |    6 ++---
 po/gu.po          |    6 ++---
 po/he.po          |    6 ++---
 po/hi.po          |    6 ++---
 po/hu.po          |    6 ++---
 po/id.po          |    6 ++---
 po/it.po          |    8 +++----
 po/ja.po          |    6 ++---
 po/kn.po          |    6 ++---
 po/ko.po          |    6 ++---
 po/lt.po          |    6 ++---
 po/lv.po          |    6 ++---
 po/mai.po         |    6 ++---
 po/mk.po          |    6 ++---
 po/ml.po          |    6 ++---
 po/mr.po          |    6 ++---
 po/ms.po          |    8 +++----
 po/nb.po          |    6 ++---
 po/nl.po          |   63 +++++++++++++++++++++++++++--------------------------
 po/nn.po          |    6 ++---
 po/or.po          |    6 ++---
 po/pa.po          |    6 ++---
 po/pl.po          |    6 ++---
 po/pt.po          |    6 ++---
 po/pt_BR.po       |    6 ++---
 po/ro.po          |    6 ++---
 po/ru.po          |   60 +++++++++++++++++++++++++-------------------------
 po/sl.po          |   53 ++++++++++++++++++++++----------------------
 po/sq.po          |    6 ++---
 po/sr.po          |    6 ++---
 po/sr@latin.po    |    6 ++---
 po/sv.po          |    6 ++---
 po/ta.po          |    6 ++---
 po/te.po          |    6 ++---
 po/th.po          |    6 ++---
 po/tr.po          |   61 ++++++++++++++++++++++++++-------------------------
 po/uk.po          |    6 ++---
 po/vi.po          |    6 ++---
 po/zh_CN.po       |    6 ++---
 po/zh_HK.po       |    6 ++---
 po/zh_TW.po       |    6 ++---
 61 files changed, 394 insertions(+), 388 deletions(-)

commit 58d98a43c0d18f3b0493204e3ae6bf1646093630
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Jul 2 18:32:10 2012 +0300

    fix wrong string, thanks to DarthRevan

 gck/gck-uri.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f6f85e0e1734ba40b14cf7f69a936910f84b514
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 29 12:13:16 2012 +0200

    sync translations with transifex

 po/ar.po          |  748 ++++------------------------
 po/as.po          | 1413 ++++++++++++++++++++--------------------------------
 po/ast.po         | 1284 +++++++++++++++++++----------------------------
 po/bg.po          |  228 +++++----
 po/bn.po          | 1030 +++++++++++++++++++-------------------
 po/bn_IN.po       | 1366 ++++++++++++++++++++------------------------------
 po/ca.po          |  824 +++++--------------------------
 po/ca@valencia.po | 1197 +++++++++++++-------------------------------
 po/cs.po          |  302 +++++-------
 po/da.po          | 1112 +++++++++++++----------------------------
 po/de.po          |  256 ++++------
 po/dz.po          | 1315 ++++++++++++++++++++++++++++++++++---------------
 po/el.po          |  353 ++++++-------
 po/en_GB.po       |  760 ++++------------------------
 po/es.po          |  801 ++++--------------------------
 po/et.po          |  429 ++++++++++++----
 po/eu.po          |  343 +++++--------
 po/fi.po          | 1173 +++++++++++++++++++------------------------
 po/fr.po          |  251 ++++------
 po/ga.po          | 1217 ++++++++++++++++++++-------------------------
 po/gl.po          |  335 ++++---------
 po/gu.po          | 1370 ++++++++++++++++++++-------------------------------
 po/he.po          |  588 ++++------------------
 po/hi.po          | 1355 ++++++++++++++++++++------------------------------
 po/hu.po          |  215 ++++----
 po/id.po          |  269 +++++-----
 po/it.po          |  768 ++++++++++++++---------------
 po/ja.po          |  789 ++++++++++++++---------------
 po/kn.po          | 1372 ++++++++++++++++++++-------------------------------
 po/ko.po          |  725 ++++-----------------------
 po/lt.po          | 1193 ++++++++++++++------------------------------
 po/lv.po          |  221 ++++-----
 po/mai.po         | 1240 +++++++++++++++++++---------------------------
 po/mk.po          | 1332 ++++++++++++++++++++++++-------------------------
 po/ml.po          | 1371 ++++++++++++++++++++-------------------------------
 po/mr.po          | 1358 ++++++++++++++++++++------------------------------
 po/ms.po          | 1212 +++++++++++++++++++--------------------------
 po/nb.po          |  244 +++++----
 po/nl.po          |  793 +++++------------------------
 po/nn.po          | 1033 +++++++++++++-------------------------
 po/or.po          | 1076 +++++++++++++++++++---------------------
 po/pa.po          |  915 ++++++++++------------------------
 po/pl.po          |  226 ++++-----
 po/pt.po          |  784 ++++-------------------------
 po/pt_BR.po       | 1224 ++++++++++++++-------------------------------
 po/ro.po          |  798 +++++-------------------------
 po/ru.po          |  274 +++++------
 po/sl.po          |  365 +++++---------
 po/sq.po          | 1336 ++++++++++++++++++++++++-------------------------
 po/sr.po          | 1163 ++++++++++++++-----------------------------
 po/sr@latin.po    | 1163 ++++++++++++++-----------------------------
 po/sv.po          |  809 ++++++------------------------
 po/ta.po          | 1084 ++++++++++++++--------------------------
 po/te.po          | 1363 ++++++++++++++++++++------------------------------
 po/th.po          | 1332 +++++++++++++++++--------------------------------
 po/tr.po          | 1424 +++++++++++++++++++++--------------------------------
 po/uk.po          | 1032 +++++++++++++++++++-------------------
 po/vi.po          |  399 ++++++---------
 po/zh_CN.po       |  702 ++++----------------------
 po/zh_HK.po       |  292 ++++-------
 po/zh_TW.po       |  296 ++++-------
 61 files changed, 18931 insertions(+), 33311 deletions(-)

commit 1e47578416cff2663244c09af276e9965994bb76
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Jun 29 12:12:59 2012 +0200

    add po gnome copyrights file

 po/gnome-copyrights.txt |  990 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 990 insertions(+)

commit cc75fb33ad2adfc755bc4c8a375c8f9a0702a28f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri May 25 11:57:22 2012 +0200

    fix conflict with gnome-keyring gck documentation

 docs/reference/gck/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 627127b0b9fee699d4b07faf0b8b3a964d2a9219
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sat May 12 00:18:46 2012 +0200

    fix compilation in ubuntu

 gcr/Makefile.am |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a36c9a3547c7f4516797978bf60d42f7a74a3f22
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri May 11 17:48:16 2012 +0200

    set version to 1.3.0

 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 576b847d7f5a4407fa35a04d8dfa802e1fd1d311
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Tue May 8 02:05:49 2012 +0200

    bump to gnome-keyring 2.91.93

 Makefile.am                                        |   12 +
 configure.in                                       |   70 +-
 daemon/Makefile.am                                 |   10 +-
 daemon/control/gkd-control-server.c                |    1 +
 daemon/data/Makefile.am                            |   12 -
 daemon/data/introspect-collection.xml              |   59 -
 daemon/data/introspect-item.xml                    |   47 -
 daemon/data/introspect-prompt.xml                  |   23 -
 daemon/data/introspect-service.xml                 |   93 -
 daemon/data/introspect-session.xml                 |   16 -
 daemon/dbus/Makefile.am                            |    2 +-
 daemon/dbus/gkd-dbus-util.c                        |   19 +-
 daemon/dbus/gkd-dbus-util.h                        |    2 +-
 daemon/dbus/gkd-dbus.c                             |    9 +-
 daemon/dbus/gkd-dbus.h                             |    2 +-
 daemon/dbus/gkd-secret-create.c                    |  112 +-
 daemon/dbus/gkd-secret-create.h                    |    3 +-
 daemon/dbus/gkd-secret-introspect.c                |  275 +
 daemon/dbus/gkd-secret-introspect.h                |   35 +
 daemon/dbus/gkd-secret-objects.c                   |   36 +-
 daemon/dbus/gkd-secret-objects.h                   |    7 -
 daemon/dbus/gkd-secret-prompt.c                    |   19 +-
 daemon/dbus/gkd-secret-prompt.h                    |    2 +
 daemon/dbus/gkd-secret-property.c                  |   25 +-
 daemon/dbus/gkd-secret-property.h                  |    1 +
 daemon/dbus/gkd-secret-secret.c                    |   20 +-
 daemon/dbus/gkd-secret-service.c                   |  211 +-
 daemon/dbus/gkd-secret-service.h                   |   11 +
 daemon/dbus/gkd-secret-session.c                   |   47 +-
 daemon/dbus/gkd-secret-types.h                     |    1 -
 daemon/dbus/gkd-secret-unlock.c                    |   48 +-
 daemon/dbus/gkd-secret-unlock.h                    |    8 +-
 daemon/dbus/tests/Makefile.am                      |   27 +-
 daemon/dbus/tests/test-secret-util.c               |   20 +-
 daemon/dbus/tests/test-suite.c                     |   28 -
 daemon/dbus/tests/test-suite.h                     |    5 -
 daemon/gkd-main.c                                  |   57 +-
 daemon/gkd-pkcs11.c                                |   14 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c               |  107 +-
 daemon/mate-keyring-gpg.desktop.in.in              |    2 +-
 daemon/mate-keyring-pkcs11.desktop.in.in           |    2 +-
 daemon/mate-keyring-secrets.desktop.in.in          |    2 +-
 daemon/mate-keyring-ssh.desktop.in.in              |    2 +-
 daemon/ssh-agent/gkd-ssh-agent-ops.c               |    1 -
 docs/Makefile.in                                   |  633 -
 docs/reference/Makefile.in                         |  633 -
 docs/reference/gck/Makefile.in                     |  740 -
 docs/reference/gck/gck-docs.sgml                   |    1 +
 docs/reference/gck/gck-sections.txt                |   10 +
 docs/reference/gck/html/GckSlot.html               |   41 +
 docs/reference/gck/html/ch01.html                  |    5 +-
 docs/reference/gck/html/gck-Errors.html            |    4 +-
 .../gck/html/gck-Miscellaneous-Functions.html      |    4 +-
 docs/reference/gck/html/gck-PKCS11-URIs.html       |  219 +
 docs/reference/gck/html/gck.devhelp                |    7 +
 docs/reference/gck/html/gck.devhelp2               |    7 +
 docs/reference/gck/html/index.html                 |    3 +
 docs/reference/gck/html/index.sgml                 |   10 +
 docs/reference/gck/tmpl/gck-slot.sgml              |   11 +
 docs/reference/gck/tmpl/gck-uri.sgml               |   70 +
 docs/reference/gcr/gcr-docs.sgml                   |   49 +-
 docs/reference/gcr/gcr-sections.txt                |  131 +-
 docs/reference/gcr/gcr.types                       |    2 +
 docs/reference/gcr/html/GcrCertificateChain.html   |  647 +
 docs/reference/gcr/html/GcrPkcs11Certificate.html  |  271 +
 docs/reference/gcr/html/GcrSimpleCertificate.html  |  151 +
 docs/reference/gcr/html/certificates.html          |   47 +
 docs/reference/gcr/html/ch01.html                  |   62 -
 docs/reference/gcr/html/gcr-GcrCertificate.html    |  155 +-
 docs/reference/gcr/html/gcr-Library-Settings.html  |  304 +
 .../gcr/html/gcr-Trust-Storage-and-Lookups.html    |  758 +
 .../html/gcr-gcr-certificate-basics-widget.html    |   55 -
 .../html/gcr-gcr-certificate-details-widget.html   |   55 -
 docs/reference/gcr/html/gcr-gcr-import-dialog.html |   74 -
 docs/reference/gcr/html/gcr-gcr-importer.html      |   64 +-
 docs/reference/gcr/html/gcr-gcr-initializer.html   |   16 +-
 docs/reference/gcr/html/gcr-gcr-parser.html        |   16 +-
 .../gcr/html/gcr-gcr-simple-certificate.html       |  117 -
 docs/reference/gcr/html/gcr-gcr-types.html         |   78 -
 docs/reference/gcr/html/gcr-gcr-xxx.html           |   55 -
 docs/reference/gcr/html/gcr.devhelp                |  116 +-
 docs/reference/gcr/html/gcr.devhelp2               |  123 +-
 docs/reference/gcr/html/index.html                 |   38 +-
 docs/reference/gcr/html/index.sgml                 |  180 +-
 docs/reference/gcr/html/misc.html                  |   36 +
 docs/reference/gcr/html/storage.html               |   48 +
 .../gcr/tmpl/gcr-certificate-basics-widget.sgml    |   44 +
 docs/reference/gcr/tmpl/gcr-certificate-chain.sgml |  160 +
 .../gcr/tmpl/gcr-certificate-details-widget.sgml   |   44 +
 docs/reference/gcr/tmpl/gcr-certificate.sgml       |   38 +-
 docs/reference/gcr/tmpl/gcr-importer.sgml          |   18 +
 docs/reference/gcr/tmpl/gcr-library.sgml           |  110 +
 .../reference/gcr/tmpl/gcr-pkcs11-certificate.sgml |   74 +
 .../reference/gcr/tmpl/gcr-simple-certificate.sgml |   10 +-
 docs/reference/gcr/tmpl/gcr-trust.sgml             |  192 +
 docs/reference/gcr/tmpl/gcr-unused.sgml            |  237 +-
 egg/Makefile.am                                    |    4 +
 egg/egg-asn1x.c                                    |  442 +-
 egg/egg-asn1x.h                                    |   21 +
 egg/egg-byte-array.c                               |   65 +
 egg/egg-byte-array.h                               |   33 +
 egg/egg-dh.c                                       |   16 +-
 egg/egg-dh.h                                       |    2 +-
 egg/egg-hkdf.c                                     |  109 +
 egg/egg-hkdf.h                                     |   39 +
 egg/egg-openssl.c                                  |   46 +-
 egg/egg-testing.c                                  |  178 +
 egg/egg-testing.h                                  |   54 +
 egg/tests/Makefile.am                              |   63 +-
 egg/tests/asn1-def-test.c                          |   19 +-
 egg/tests/files/dh-params.pem                      |    5 +
 egg/tests/files/echo-script.sh                     |   12 +
 egg/tests/files/pem-rsa-enc.key                    |   18 +
 egg/tests/files/test-certificate-1.der             |  Bin 0 -> 813 bytes
 egg/tests/files/test-personalname-1.der            |    1 +
 egg/tests/files/test-pkcs12-1.der                  |  Bin 0 -> 2824 bytes
 egg/tests/files/test-pkcs7-1.der                   |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs7-2.der                   |  Bin 0 -> 1002 bytes
 egg/tests/files/test-pkcs8-1.der                   |  Bin 0 -> 335 bytes
 egg/tests/files/test-rsakey-1.der                  |  Bin 0 -> 609 bytes
 egg/tests/test-asn1.c                              |  791 +-
 egg/tests/test-asn1x.c                             |   53 +-
 egg/tests/test-cleanup.c                           |  168 +
 egg/tests/test-data/dh-params.pem                  |    5 -
 egg/tests/test-data/echo-script.sh                 |   12 -
 egg/tests/test-data/pem-rsa-enc.key                |   18 -
 egg/tests/test-data/test-certificate-1.der         |  Bin 813 -> 0 bytes
 egg/tests/test-data/test-personalname-1.der        |    1 -
 egg/tests/test-data/test-pkcs12-1.der              |  Bin 2824 -> 0 bytes
 egg/tests/test-data/test-pkcs7-1.der               |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs7-2.der               |  Bin 1002 -> 0 bytes
 egg/tests/test-data/test-pkcs8-1.der               |  Bin 335 -> 0 bytes
 egg/tests/test-data/test-rsakey-1.der              |  Bin 609 -> 0 bytes
 egg/tests/test-dh.c                                |  206 +
 egg/tests/test-dn.c                                |   70 +-
 egg/tests/test-hex.c                               |  118 +
 egg/tests/test-oid.c                               |   54 +
 egg/tests/test-openssl.c                           |  210 +
 egg/tests/test-padding.c                           |  134 +-
 egg/tests/test-secmem.c                            |  265 +
 egg/tests/test-spawn.c                             |  298 +
 egg/tests/test-suite.c                             |  113 -
 egg/tests/test-suite.h                             |   96 -
 egg/tests/test-symkey.c                            |  238 +
 egg/tests/test.asn                                 |   20 +
 egg/tests/unit-test-asn1.c                         |  409 -
 egg/tests/unit-test-cleanup.c                      |  153 -
 egg/tests/unit-test-dh.c                           |  172 -
 egg/tests/unit-test-hex.c                          |  101 -
 egg/tests/unit-test-oid.c                          |   46 -
 egg/tests/unit-test-openssl.c                      |  137 -
 egg/tests/unit-test-secmem.c                       |  237 -
 egg/tests/unit-test-spawn.c                        |  274 -
 egg/tests/unit-test-symkey.c                       |  228 -
 gck/Makefile.am                                    |    6 +-
 gck/gck-dump.c                                     |  349 +
 gck/gck-enumerator.c                               |  166 +-
 gck/gck-misc.c                                     |   39 +
 gck/gck-mock.c                                     |   23 +
 gck/gck-mock.h                                     |   15 +
 gck/gck-modules.c                                  |   69 +-
 gck/gck-private.h                                  |   12 +-
 gck/gck-slot.c                                     |   53 +-
 gck/gck-uri.c                                      |  217 +-
 gck/gck.h                                          |   36 +-
 gck/tests/Makefile.am                              |    3 +
 gck/tests/gck-test.h                               |   19 -
 gck/tests/test-gck-attributes.c                    |   56 +-
 gck/tests/test-gck-attributes.i                    |23432 ++++++++
 gck/tests/test-gck-crypto.c                        |   24 +-
 gck/tests/test-gck-crypto.i                        |23801 ++++++++
 gck/tests/test-gck-enumerator.c                    |  100 +-
 gck/tests/test-gck-enumerator.i                    |23624 ++++++++
 gck/tests/test-gck-module.c                        |   15 +-
 gck/tests/test-gck-module.i                        |23362 ++++++++
 gck/tests/test-gck-modules.c                       |   23 +-
 gck/tests/test-gck-modules.i                       |23415 ++++++++
 gck/tests/test-gck-object.c                        |   21 +-
 gck/tests/test-gck-object.i                        |23611 ++++++++
 gck/tests/test-gck-session.c                       |   17 +-
 gck/tests/test-gck-session.i                       |23494 ++++++++
 gck/tests/test-gck-slot.c                          |   19 +-
 gck/tests/test-gck-slot.i                          |23607 ++++++++
 gck/tests/test-gck-uri.c                           |  431 +-
 gck/tests/test-gck-uri.i                           |23508 ++++++++
 gck/tests/test-gck.h                               |   43 +
 gck/tests/test-suite.c                             |  227 +-
 gck/tests/test-suite.h                             |  235 +-
 gcr/Makefile.am                                    |   45 +-
 gcr/gcr-certificate-basics-widget.h                |   62 +
 gcr/gcr-certificate-chain.c                        |  784 +
 gcr/gcr-certificate-chain.h                        |  127 +
 gcr/gcr-certificate-details-widget.h               |   61 +
 gcr/gcr-certificate-renderer.c                     |    2 +-
 gcr/gcr-certificate-renderer.h                     |    8 +-
 gcr/gcr-certificate-widget.c                       |   13 +-
 gcr/gcr-certificate-widget.h                       |    8 +-
 gcr/gcr-certificate.c                              |  157 +-
 gcr/gcr-certificate.h                              |   21 +-
 gcr/gcr-display-scrolled.c                         |  172 +
 gcr/gcr-display-scrolled.h                         |   56 +
 gcr/gcr-display-view.c                             |  128 +
 gcr/gcr-import-dialog.c                            |    7 +-
 gcr/gcr-importer.c                                 |   19 +
 gcr/gcr-importer.h                                 |   23 +-
 gcr/gcr-internal.h                                 |   27 +-
 gcr/gcr-key-renderer.c                             |    2 +-
 gcr/gcr-key-renderer.h                             |   10 +-
 gcr/gcr-key-widget.h                               |   10 +-
 gcr/gcr-library.c                                  |  283 +-
 gcr/gcr-library.h                                  |   57 +
 gcr/gcr-parser.c                                   |    1 +
 gcr/gcr-parser.h                                   |    6 +-
 gcr/gcr-pkcs11-certificate.c                       |  424 +
 gcr/gcr-pkcs11-certificate.h                       |   76 +
 gcr/gcr-renderer.h                                 |    4 +-
 gcr/gcr-simple-certificate.c                       |   44 +-
 gcr/gcr-simple-certificate.h                       |   18 +-
 gcr/gcr-trust.c                                    |  948 +
 gcr/gcr-trust.h                                    |  102 +
 gcr/gcr-types.h                                    |   51 +-
 gcr/gcr-unlock-options-widget.h                    |    4 +
 gcr/gcr-viewer.c                                   |    7 +
 gcr/gcr-viewer.h                                   |    2 +
 gcr/gcr.h                                          |   47 +-
 gcr/mate-gcr.pc.in                                 |    2 +
 gcr/tests/Makefile.am                              |    8 +-
 gcr/tests/test-certificate-chain.c                 |  591 +
 gcr/tests/test-certificate-chain.i                 |57481 +++++++++++++++++++
 gcr/tests/test-certificate.c                       |  211 +
 gcr/tests/test-certificate.i                       |56379 +++++++++++++++++++
 gcr/tests/test-data/collabora-ca.cer               |  Bin 0 -> 1536 bytes
 gcr/tests/test-data/der-certificate-dsa.cer        |  Bin 0 -> 1639 bytes
 gcr/tests/test-data/dhansak-collabora.cer          |  Bin 0 -> 1200 bytes
 gcr/tests/test-pkcs11-certificate.c                |  252 +
 gcr/tests/test-pkcs11-certificate.i                |57131 +++++++++++++++++++
 gcr/tests/test-simple-certificate.c                |   84 +
 gcr/tests/test-simple-certificate.i                |56268 +++++++++++++++++++
 gcr/tests/test-suite.c                             |   80 +-
 gcr/tests/test-suite.h                             |   79 +-
 gcr/tests/test-trust.c                             |  292 +
 gcr/tests/test-trust.i                             |56844 +++++++++++++++++++
 gcr/tests/ui-test-certificate.c                    |   26 +-
 gcr/tests/ui-test-key.c                            |   25 +-
 gcr/tests/ui-test-unlock-options.c                 |   24 +-
 gcr/tests/unit-test-certificate.c                  |  135 -
 gcr/tests/unit-test-parser.c                       |   11 +-
 gcr/tests/unit-test-parser.i                       |58950 ++++++++++++++++++++
 pam/gkr-pam-module.c                               |    2 +-
 pkcs11/Makefile.am                                 |    7 +-
 pkcs11/gkm/Makefile.am                             |    7 +-
 pkcs11/gkm/gkm-aes-key.c                           |   24 +-
 pkcs11/gkm/gkm-aes-mechanism.h                     |    4 -
 pkcs11/gkm/gkm-assertion.c                         |  263 +
 pkcs11/gkm/gkm-assertion.h                         |   66 +
 pkcs11/gkm/gkm-attributes.c                        |   36 +
 pkcs11/gkm/gkm-attributes.h                        |    5 +
 pkcs11/gkm/gkm-certificate-trust.c                 |  377 -
 pkcs11/gkm/gkm-certificate-trust.h                 |   57 -
 pkcs11/gkm/gkm-certificate.c                       |  182 +-
 pkcs11/gkm/gkm-certificate.h                       |    2 +
 pkcs11/gkm/gkm-crypto.c                            |    4 +
 pkcs11/gkm/gkm-data-der.c                          |   31 +-
 pkcs11/gkm/gkm-data-file.c                         | 1478 -
 pkcs11/gkm/gkm-data-file.h                         |  109 -
 pkcs11/gkm/gkm-dh-mechanism.c                      |   23 +-
 pkcs11/gkm/gkm-generic-key.c                       |  215 +
 pkcs11/gkm/gkm-generic-key.h                       |   52 +
 pkcs11/gkm/gkm-hkdf-mechanism.c                    |   96 +
 pkcs11/gkm/gkm-hkdf-mechanism.h                    |   46 +
 pkcs11/gkm/gkm-module.c                            |   13 +-
 pkcs11/gkm/gkm-object.c                            |    1 -
 pkcs11/gkm/gkm-oids.h                              |   34 +
 pkcs11/gkm/gkm-secret-key.c                        |   11 +
 pkcs11/gkm/gkm-secret-key.h                        |    7 +
 pkcs11/gkm/gkm-serializable.c                      |    4 +-
 pkcs11/gkm/gkm-serializable.h                      |    8 +-
 pkcs11/gkm/gkm-session.c                           |   44 +-
 pkcs11/gkm/gkm-transaction.c                       |  110 +-
 pkcs11/gkm/gkm-transaction.h                       |    6 +-
 pkcs11/gkm/gkm-trust.c                             |  174 +
 pkcs11/gkm/gkm-trust.h                             |   62 +
 pkcs11/gkm/gkm-types.h                             |    4 +-
 pkcs11/gkm/gkm-util.c                              |   37 +
 pkcs11/gkm/gkm-util.h                              |   15 +
 pkcs11/gkm/tests/Makefile.am                       |   32 +-
 pkcs11/gkm/tests/dump-data-file.c                  |   95 -
 pkcs11/gkm/tests/test-data/data-file-private.store |  Bin 493 -> 0 bytes
 pkcs11/gkm/tests/test-data/data-file-public.store  |  Bin 215 -> 0 bytes
 pkcs11/gkm/tests/test-suite.c                      |  339 +-
 pkcs11/gkm/tests/test-suite.h                      |  348 +-
 pkcs11/gkm/tests/unit-test-attributes.c            |  122 +-
 pkcs11/gkm/tests/unit-test-attributes.i            |18941 +++++++
 pkcs11/gkm/tests/unit-test-credential.c            |   22 +-
 pkcs11/gkm/tests/unit-test-credential.i            |19340 +++++++
 pkcs11/gkm/tests/unit-test-data-asn1.c             |    6 +-
 pkcs11/gkm/tests/unit-test-data-asn1.i             |17906 ++++++
 pkcs11/gkm/tests/unit-test-data-der.c              |   36 +-
 pkcs11/gkm/tests/unit-test-data-der.i              |19327 +++++++
 pkcs11/gkm/tests/unit-test-data-file.c             |  587 -
 pkcs11/gkm/tests/unit-test-file-tracker.c          |   10 +-
 pkcs11/gkm/tests/unit-test-file-tracker.i          |14140 +++++
 pkcs11/gkm/tests/unit-test-memory-store.c          |   34 +-
 pkcs11/gkm/tests/unit-test-memory-store.i          |15196 +++++
 pkcs11/gkm/tests/unit-test-object.c                |   18 +-
 pkcs11/gkm/tests/unit-test-object.i                |19269 +++++++
 pkcs11/gkm/tests/unit-test-secret.c                |   14 +-
 pkcs11/gkm/tests/unit-test-secret.i                |14703 +++++
 pkcs11/gkm/tests/unit-test-sexp.c                  |    8 +-
 pkcs11/gkm/tests/unit-test-sexp.i                  |17399 ++++++
 pkcs11/gkm/tests/unit-test-store.c                 |    8 +-
 pkcs11/gkm/tests/unit-test-store.i                 |14656 +++++
 pkcs11/gkm/tests/unit-test-timer.c                 |   16 +-
 pkcs11/gkm/tests/unit-test-timer.i                 |15599 ++++++
 pkcs11/gkm/tests/unit-test-transaction.c           |  134 +-
 pkcs11/gkm/tests/unit-test-transaction.i           |15905 ++++++
 pkcs11/mate2-store/Makefile.am                     |   57 +
 pkcs11/mate2-store/Makefile.in                     |  843 +
 pkcs11/mate2-store/gkm-mate2-file.c                | 1479 +
 pkcs11/mate2-store/gkm-mate2-file.h                |  109 +
 pkcs11/mate2-store/gkm-mate2-module.c              |  350 +
 pkcs11/mate2-store/gkm-mate2-module.h              |   45 +
 pkcs11/mate2-store/gkm-mate2-private-key.c         |  357 +
 pkcs11/mate2-store/gkm-mate2-private-key.h         |   52 +
 pkcs11/mate2-store/gkm-mate2-public-key.c          |  205 +
 pkcs11/mate2-store/gkm-mate2-public-key.h          |   51 +
 pkcs11/mate2-store/gkm-mate2-standalone.c          |   51 +
 pkcs11/mate2-store/gkm-mate2-storage.c             | 1358 +
 pkcs11/mate2-store/gkm-mate2-storage.h             |   79 +
 pkcs11/mate2-store/gkm-mate2-store.h               |   29 +
 pkcs11/mate2-store/tests/Makefile.am               |   29 +
 pkcs11/mate2-store/tests/Makefile.in               |  689 +
 pkcs11/mate2-store/tests/dump-mate2-file.c         |   96 +
 pkcs11/mate2-store/tests/p11-tests.conf            |    2 +
 .../tests/test-data/data-file-private.store        |  Bin 0 -> 493 bytes
 .../tests/test-data/data-file-public.store         |  Bin 0 -> 215 bytes
 pkcs11/mate2-store/tests/test-module.c             |   34 +
 pkcs11/mate2-store/tests/test-module.i             |15438 +++++
 pkcs11/mate2-store/tests/test-suite.c              |   55 +
 pkcs11/mate2-store/tests/test-suite.h              |   31 +
 pkcs11/mate2-store/tests/unit-test-mate2-file.c    |  592 +
 pkcs11/mate2-store/tests/unit-test-mate2-file.i    |16549 ++++++
 pkcs11/pkcs11g.h                                   |   97 -
 pkcs11/pkcs11i.h                                   |   23 +-
 pkcs11/pkcs11x.h                                   |   44 +
 pkcs11/roots-store/Makefile.am                     |   14 +-
 pkcs11/roots-store/gkm-roots-certificate.c         |   28 +-
 pkcs11/roots-store/gkm-roots-certificate.h         |    3 +-
 pkcs11/roots-store/gkm-roots-module.c              |    1 +
 pkcs11/roots-store/gkm-roots-standalone.c          |   15 +
 pkcs11/roots-store/gkm-roots-trust.c               |  427 +
 pkcs11/roots-store/gkm-roots-trust.h               |   60 +
 pkcs11/roots-store/tests/Makefile.am               |    4 +-
 pkcs11/roots-store/tests/test-module.c             |    2 +-
 pkcs11/roots-store/tests/test-module.i             |15438 +++++
 pkcs11/roots-store/tests/test-suite.c              |    7 +-
 pkcs11/roots-store/tests/test-suite.h              |    7 +-
 pkcs11/rpc-layer/Makefile.am                       |    2 +-
 pkcs11/rpc-layer/gkm-rpc-dispatch.c                |    1 -
 pkcs11/secret-store/gkm-secret-module.c            |    2 +-
 pkcs11/secret-store/gkm-secret-standalone.c        |   15 +
 pkcs11/secret-store/tests/Makefile.am              |   12 +-
 pkcs11/secret-store/tests/test-secret-module.c     |   25 +-
 pkcs11/secret-store/tests/test-suite.c             |  237 +-
 pkcs11/secret-store/tests/test-suite.h             |  241 +-
 .../secret-store/tests/unit-test-secret-binary.c   |   16 +-
 .../secret-store/tests/unit-test-secret-binary.i   |16081 ++++++
 .../tests/unit-test-secret-collection.c            |   44 +-
 .../tests/unit-test-secret-collection.i            |19688 +++++++
 .../secret-store/tests/unit-test-secret-compat.c   |    8 +-
 .../secret-store/tests/unit-test-secret-compat.i   |14959 +++++
 pkcs11/secret-store/tests/unit-test-secret-data.c  |   18 +-
 pkcs11/secret-store/tests/unit-test-secret-data.i  |15780 ++++++
 .../secret-store/tests/unit-test-secret-fields.c   |   44 +-
 .../secret-store/tests/unit-test-secret-fields.i   |15849 ++++++
 pkcs11/secret-store/tests/unit-test-secret-item.c  |   40 +-
 pkcs11/secret-store/tests/unit-test-secret-item.i  |19585 +++++++
 .../secret-store/tests/unit-test-secret-object.c   |   30 +-
 .../secret-store/tests/unit-test-secret-object.i   |15969 ++++++
 .../secret-store/tests/unit-test-secret-search.c   |   22 +-
 .../secret-store/tests/unit-test-secret-search.i   |19459 +++++++
 .../secret-store/tests/unit-test-secret-textual.c  |   14 +-
 .../secret-store/tests/unit-test-secret-textual.i  |16062 ++++++
 pkcs11/ssh-store/Makefile.am                       |    8 +-
 pkcs11/ssh-store/gkm-ssh-standalone.c              |   15 +
 pkcs11/ssh-store/tests/Makefile.am                 |    7 +-
 pkcs11/ssh-store/tests/test-ssh-module.c           |    2 +-
 pkcs11/ssh-store/tests/test-ssh-module.i           |15746 ++++++
 pkcs11/ssh-store/tests/test-suite.c                |   19 +-
 pkcs11/ssh-store/tests/test-suite.h                |   19 +-
 pkcs11/ssh-store/tests/unit-test-private-key.c     |   10 +-
 pkcs11/ssh-store/tests/unit-test-private-key.i     |19134 +++++++
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c     |    4 +-
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.i     |17675 ++++++
 pkcs11/user-store/Makefile.am                      |   56 -
 pkcs11/user-store/gkm-user-module.c                |  357 -
 pkcs11/user-store/gkm-user-module.h                |   45 -
 pkcs11/user-store/gkm-user-private-key.c           |  357 -
 pkcs11/user-store/gkm-user-private-key.h           |   52 -
 pkcs11/user-store/gkm-user-public-key.c            |  205 -
 pkcs11/user-store/gkm-user-public-key.h            |   51 -
 pkcs11/user-store/gkm-user-standalone.c            |   51 -
 pkcs11/user-store/gkm-user-storage.c               | 1358 -
 pkcs11/user-store/gkm-user-storage.h               |   79 -
 pkcs11/user-store/gkm-user-store.h                 |   29 -
 pkcs11/user-store/tests/Makefile.am                |   16 -
 pkcs11/user-store/tests/p11-tests.conf             |    2 -
 pkcs11/user-store/tests/test-module.c              |   34 -
 pkcs11/user-store/tests/test-suite.c               |   28 -
 pkcs11/user-store/tests/test-suite.h               |    5 -
 pkcs11/wrap-layer/gkm-wrap-layer.c                 |    1 -
 pkcs11/wrap-layer/gkm-wrap-prompt.c                |    2 +-
 pkcs11/wrap-layer/tests/Makefile.am                |    4 +-
 pkcs11/wrap-layer/tests/test-create-credential.c   |   10 +-
 pkcs11/wrap-layer/tests/test-create-credential.i   |16071 ++++++
 pkcs11/wrap-layer/tests/test-init-pin.c            |    6 +-
 pkcs11/wrap-layer/tests/test-init-pin.i            |16007 ++++++
 pkcs11/wrap-layer/tests/test-login-auto.c          |   10 +-
 pkcs11/wrap-layer/tests/test-login-auto.i          |16125 ++++++
 pkcs11/wrap-layer/tests/test-login-hints.c         |    2 +-
 pkcs11/wrap-layer/tests/test-login-hints.i         |15513 +++++
 pkcs11/wrap-layer/tests/test-login-keyring.c       |   28 +-
 pkcs11/wrap-layer/tests/test-login-keyring.i       |18911 +++++++
 pkcs11/wrap-layer/tests/test-login-specific.c      |   10 +-
 pkcs11/wrap-layer/tests/test-login-specific.i      |16050 ++++++
 pkcs11/wrap-layer/tests/test-login-user.c          |   18 +-
 pkcs11/wrap-layer/tests/test-login-user.i          |16059 ++++++
 pkcs11/wrap-layer/tests/test-set-pin.c             |    6 +-
 pkcs11/wrap-layer/tests/test-set-pin.i             |16007 ++++++
 pkcs11/wrap-layer/tests/test-suite.c               |   88 +-
 pkcs11/wrap-layer/tests/test-suite.h               |   95 +-
 pkcs11/xdg-store/Makefile.am                       |   66 +
 pkcs11/xdg-store/asn1-def-xdg.c                    |   40 +
 pkcs11/xdg-store/gkm-xdg-assertion.c               |  233 +
 pkcs11/xdg-store/gkm-xdg-assertion.h               |   55 +
 pkcs11/xdg-store/gkm-xdg-module.c                  |  580 +
 pkcs11/xdg-store/gkm-xdg-module.h                  |   45 +
 pkcs11/xdg-store/gkm-xdg-standalone.c              |   66 +
 pkcs11/xdg-store/gkm-xdg-store.h                   |   29 +
 pkcs11/xdg-store/gkm-xdg-trust.c                   |  892 +
 pkcs11/xdg-store/gkm-xdg-trust.h                   |   69 +
 pkcs11/xdg-store/tests/Makefile.am                 |   30 +
 pkcs11/xdg-store/tests/Makefile.in                 |  700 +
 pkcs11/xdg-store/tests/diddle-trust-file.c         |  233 +
 pkcs11/xdg-store/tests/dump-trust-file.c           |  201 +
 pkcs11/xdg-store/tests/p11-tests.conf              |    2 +
 .../tests/test-data/test-certificate-1.cer         |  Bin 0 -> 813 bytes
 .../tests/test-data/test-certificate-2.cer         |  Bin 0 -> 813 bytes
 .../xdg-store/tests/test-data/test-refer-1.trust   |  Bin 0 -> 241 bytes
 pkcs11/xdg-store/tests/test-suite.c                |   70 +
 pkcs11/xdg-store/tests/test-suite.h                |   46 +
 pkcs11/xdg-store/tests/test-xdg-module.c           |  345 +
 pkcs11/xdg-store/tests/test-xdg-module.h           |   45 +
 pkcs11/xdg-store/tests/test-xdg-module.i           |19246 +++++++
 pkcs11/xdg-store/tests/test-xdg-trust.c            |  801 +
 pkcs11/xdg-store/tests/test-xdg-trust.i            |19605 +++++++
 pkcs11/xdg-store/xdg.asn                           |   43 +
 po/LINGUAS                                         |    1 +
 po/POTFILES.in                                     |    4 +
 po/POTFILES.skip                                   |    1 +
 po/af.po                                           | 1101 +
 po/ar.po                                           |  633 +-
 po/bg.po                                           |  553 +-
 po/ca.po                                           |  611 +-
 po/cs.po                                           |  633 +-
 po/de.po                                           |  234 +-
 po/el.po                                           |  606 +-
 po/en_GB.po                                        |  670 +-
 po/es.po                                           |  373 +-
 po/et.po                                           |   46 +-
 po/eu.po                                           |  605 +-
 po/fr.po                                           |  590 +-
 po/gl.po                                           |   91 +-
 po/he.po                                           |   85 +-
 po/hu.po                                           |  601 +-
 po/id.po                                           |  620 +-
 po/it.po                                           |    2 +-
 po/ko.po                                           |  637 +-
 po/lv.po                                           | 1374 +-
 po/nb.po                                           |  140 +-
 po/nl.po                                           |  722 +-
 po/nn.po                                           | 1696 +-
 po/pl.po                                           |  583 +-
 po/pt.po                                           |  673 +-
 po/ro.po                                           |  147 +-
 po/ru.po                                           |  619 +-
 po/sk.po                                           | 1654 +-
 po/sl.po                                           |  121 +-
 po/sv.po                                           |  668 +-
 po/ug.po                                           |   58 +-
 po/vi.po                                           | 1105 +-
 po/zh_CN.po                                        |   90 +-
 po/zh_HK.po                                        |  638 +-
 po/zh_TW.po                                        |  638 +-
 testing/ca-example/certs/client-future.crt         |   18 +
 testing/ca-example/certs/client-past.crt           |   18 +
 testing/ca-example/certs/client.crt                |   33 +-
 testing/ca-example/certs/server-self.crt           |   11 +
 testing/ca-example/certs/server.crt                |   14 +
 testing/ca-example/commands.txt                    |    3 +
 testing/ca-example/keys/server.key                 |    9 +
 testing/ca-example/requests/server.req             |    8 +
 testing/ca-example/serial.txt                      |    2 +-
 testing/testing-build.sh                           |   78 +-
 testing/testing.c                                  |   97 +
 testing/testing.h                                  |   59 +-
 testing/testing.make                               |   44 +-
 tool/Makefile.am                                   |    4 +-
 tool/gkr-tool-import.c                             |    3 +-
 tool/gkr-tool-trust.c                              |  236 +
 tool/gkr-tool-version.c                            |   48 +
 tool/gkr-tool.c                                    |    9 +-
 tool/gkr-tool.h                                    |    5 +
 ui/gku-prompt-tool.c                               |  110 +-
 ui/gku-prompt.c                                    |   17 +-
 ui/gku-prompt.ui                                   |    1 -
 ui/mate-keyring-prompt.desktop.in.in               |    8 +
 ui/tests/Makefile.am                               |    6 +-
 ui/tests/test-suite.c                              |   17 +-
 ui/tests/test-suite.h                              |   19 +-
 ui/tests/unit-test-util.c                          |   14 +-
 ui/tests/unit-test-util.i                          |17686 ++++++
 522 files changed, 1240378 insertions(+), 21423 deletions(-)

commit e74896b782be4a69791002401be0a0268421defa
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon May 7 23:55:50 2012 +0200

    fix typo in gck/Makefile.am

 gck/Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 46552011999d69c4f97798a4f96fef98ceded51f
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon May 7 23:04:22 2012 +0200

    bump to gnome-keyring 2.91.3

 HACKING                                            |  139 +-
 Makefile.am                                        |   11 +-
 NEWS                                               |  728 ++
 README                                             |    2 -
 configure.in                                       |   63 +-
 daemon/Makefile.am                                 |   15 +-
 daemon/control/Makefile.am                         |    3 +-
 daemon/dbus/Makefile.am                            |    3 +-
 daemon/dbus/gkd-dbus-secrets.c                     |   38 +-
 daemon/dbus/gkd-secret-change.c                    |   41 +-
 daemon/dbus/gkd-secret-change.h                    |    4 +-
 daemon/dbus/gkd-secret-create.c                    |   73 +-
 daemon/dbus/gkd-secret-create.h                    |   12 +-
 daemon/dbus/gkd-secret-dispatch.h                  |    8 +-
 daemon/dbus/gkd-secret-lock.c                      |   30 +-
 daemon/dbus/gkd-secret-lock.h                      |    4 +-
 daemon/dbus/gkd-secret-objects.c                   |  311 +-
 daemon/dbus/gkd-secret-objects.h                   |    8 +-
 daemon/dbus/gkd-secret-prompt.c                    |    4 +-
 daemon/dbus/gkd-secret-prompt.h                    |    6 +-
 daemon/dbus/gkd-secret-property.c                  |   56 +-
 daemon/dbus/gkd-secret-property.h                  |   12 +-
 daemon/dbus/gkd-secret-service.c                   |   76 +-
 daemon/dbus/gkd-secret-service.h                   |    6 +-
 daemon/dbus/gkd-secret-session.c                   |  200 +-
 daemon/dbus/gkd-secret-session.h                   |   12 +-
 daemon/dbus/gkd-secret-unlock.c                    |   84 +-
 daemon/dbus/gkd-secret-unlock.h                    |    4 +-
 daemon/gkd-capability.c                            |  119 +
 daemon/gkd-capability.h                            |   27 +
 daemon/gkd-main.c                                  |   32 +-
 daemon/gpg-agent/Makefile.am                       |    5 +-
 daemon/gpg-agent/gkd-gpg-agent-ops.c               |  142 +-
 daemon/gpg-agent/gkd-gpg-agent-private.h           |   10 +-
 daemon/gpg-agent/gkd-gpg-agent-standalone.c        |   12 +-
 daemon/gpg-agent/gkd-gpg-agent.c                   |   65 +-
 daemon/login/Makefile.am                           |    5 +-
 daemon/login/gkd-login.c                           |  261 +-
 daemon/login/gkd-login.h                           |    2 +-
 daemon/ssh-agent/Makefile.am                       |    5 +-
 daemon/ssh-agent/gkd-ssh-agent-ops.c               |  546 +-
 daemon/ssh-agent/gkd-ssh-agent-private.h           |   46 +-
 daemon/ssh-agent/gkd-ssh-agent-proto.c             |  136 +-
 daemon/ssh-agent/gkd-ssh-agent-standalone.c        |   11 +-
 daemon/ssh-agent/gkd-ssh-agent.c                   |   58 +-
 distro/ubuntu/build                                |   32 -
 distro/ubuntu/postinst                             |   11 -
 distro/ubuntu/postrm                               |    8 -
 distro/ubuntu/preinst                              |    8 -
 distro/ubuntu/prerm                                |   11 -
 docs/Makefile.in                                   |  633 ++
 docs/reference/Makefile.am                         |    2 +-
 docs/reference/Makefile.in                         |  633 ++
 docs/reference/gck/Makefile.am                     |   98 +
 docs/reference/gck/Makefile.in                     |  740 ++
 docs/reference/gck/gck-docs.sgml                   |   25 +
 docs/reference/gck/gck-overrides.txt               |    2 +
 docs/reference/gck/gck-sections.txt                |  195 +
 docs/reference/gck/gck.types                       |    4 +
 docs/reference/gck/html/GckModule.html             |  546 ++
 docs/reference/gck/html/GckObject.html             |  949 ++
 docs/reference/gck/html/GckSession.html            | 2010 ++++
 docs/reference/gck/html/GckSlot.html               |  977 ++
 docs/reference/gck/html/ch01.html                  |   56 +
 docs/reference/gck/html/gck-Errors.html            |  116 +
 docs/reference/gck/html/gck-GckAttribute.html      |  814 ++
 docs/reference/gck/html/gck-GckAttributes.html     |  785 ++
 .../gck/html/gck-Miscellaneous-Functions.html      |  133 +
 docs/reference/gck/html/gck.devhelp                |  180 +
 docs/reference/gck/html/gck.devhelp2               |  180 +
 docs/reference/gck/html/home.png                   |  Bin 0 -> 654 bytes
 docs/reference/gck/html/index.html                 |   59 +
 docs/reference/gck/html/index.sgml                 |  211 +
 docs/reference/gck/html/left.png                   |  Bin 0 -> 459 bytes
 docs/reference/gck/html/right.png                  |  Bin 0 -> 472 bytes
 docs/reference/gck/html/style.css                  |  265 +
 docs/reference/gck/html/up.png                     |  Bin 0 -> 406 bytes
 docs/reference/gck/tmpl/gck-attribute.sgml         |  248 +
 docs/reference/gck/tmpl/gck-attributes.sgml        |  247 +
 docs/reference/gck/tmpl/gck-error.sgml             |   52 +
 docs/reference/gck/tmpl/gck-misc.sgml              |   49 +
 docs/reference/gck/tmpl/gck-module.sgml            |  159 +
 docs/reference/gck/tmpl/gck-object.sgml            |  266 +
 docs/reference/gck/tmpl/gck-session.sgml           |  512 ++
 docs/reference/gck/tmpl/gck-slot.sgml              |  285 +
 docs/reference/gcr/Makefile.am                     |    4 +-
 docs/reference/gcr/gcr.types                       |    2 -
 docs/reference/gcr/html/ch01.html                  |    2 +-
 docs/reference/gcr/html/gcr-GcrCertificate.html    |   38 +-
 .../html/gcr-gcr-certificate-basics-widget.html    |  135 +-
 .../html/gcr-gcr-certificate-details-widget.html   |  135 +-
 docs/reference/gcr/html/gcr-gcr-importer.html      |  114 +-
 docs/reference/gcr/html/gcr-gcr-initializer.html   |   10 +-
 docs/reference/gcr/html/gcr-gcr-parser.html        |   12 +-
 .../gcr/html/gcr-gcr-simple-certificate.html       |    2 +-
 docs/reference/gcr/html/gcr-gcr-types.html         |    2 +-
 docs/reference/gcr/html/gcr.devhelp                |   16 +-
 docs/reference/gcr/html/gcr.devhelp2               |   16 +-
 docs/reference/gcr/html/index.sgml                 |   26 +-
 .../gcr/tmpl/gcr-certificate-basics-widget.sgml    |   44 -
 .../gcr/tmpl/gcr-certificate-details-widget.sgml   |   44 -
 docs/reference/gcr/tmpl/gcr-importer.sgml          |   25 +-
 docs/reference/gcr/tmpl/gcr-unused.sgml            |  146 +-
 docs/reference/gp11/Makefile.am                    |   99 -
 docs/reference/gp11/gp11-docs.sgml                 |   25 -
 docs/reference/gp11/gp11-overrides.txt             |    2 -
 docs/reference/gp11/gp11-sections.txt              |  195 -
 docs/reference/gp11/gp11.types                     |    4 -
 docs/reference/gp11/html/GP11Module.html           |  794 --
 docs/reference/gp11/html/GP11Object.html           | 1057 ---
 docs/reference/gp11/html/GP11Session.html          | 2099 -----
 docs/reference/gp11/html/GP11Slot.html             |  977 --
 docs/reference/gp11/html/ch01.html                 |   56 -
 docs/reference/gp11/html/gp11-Errors.html          |  116 -
 docs/reference/gp11/html/gp11-GP11Attribute.html   |  814 --
 docs/reference/gp11/html/gp11-GP11Attributes.html  |  884 --
 .../gp11/html/gp11-Miscellaneous-Functions.html    |  133 -
 docs/reference/gp11/html/gp11.devhelp              |  198 -
 docs/reference/gp11/html/gp11.devhelp2             |  198 -
 docs/reference/gp11/html/home.png                  |  Bin 654 -> 0 bytes
 docs/reference/gp11/html/index.html                |   59 -
 docs/reference/gp11/html/index.sgml                |  229 -
 docs/reference/gp11/html/left.png                  |  Bin 459 -> 0 bytes
 docs/reference/gp11/html/right.png                 |  Bin 472 -> 0 bytes
 docs/reference/gp11/html/style.css                 |  265 -
 docs/reference/gp11/html/up.png                    |  Bin 406 -> 0 bytes
 docs/reference/gp11/tmpl/gp11-attribute.sgml       |  248 -
 docs/reference/gp11/tmpl/gp11-attributes.sgml      |  285 -
 docs/reference/gp11/tmpl/gp11-error.sgml           |   52 -
 docs/reference/gp11/tmpl/gp11-misc.sgml            |   49 -
 docs/reference/gp11/tmpl/gp11-module.sgml          |  225 -
 docs/reference/gp11/tmpl/gp11-object.sgml          |  295 -
 docs/reference/gp11/tmpl/gp11-session.sgml         |  523 --
 docs/reference/gp11/tmpl/gp11-slot.sgml            |  285 -
 egg/Makefile.am                                    |   12 +-
 egg/asn1-def-pk.c                                  |   70 +
 egg/asn1-def-pkix.c                                | 1110 +++
 egg/egg-entry-buffer.h                             |    8 +-
 egg/egg-hex.c                                      |   68 +-
 egg/egg-hex.h                                      |   12 +-
 egg/egg-mkdtemp.c                                  |    5 +-
 egg/egg-oid.c                                      |    2 +-
 egg/egg-spawn.h                                    |    8 +-
 egg/tests/test-suite.c                             |    1 +
 egg/tests/test-suite.h                             |    1 +
 egg/tests/unit-test-hex.c                          |   32 +-
 gck/Makefile.am                                    |   76 +
 gck/gck-attributes.c                               | 1353 +++
 gck/gck-call.c                                     |  543 ++
 gck/gck-enumerator.c                               |  734 ++
 gck/gck-marshal.c                                  |  175 +
 gck/gck-marshal.h                                  |   36 +
 gck/gck-marshal.list                               |    3 +
 gck/gck-misc.c                                     |  374 +
 gck/gck-mock.c                                     | 1785 ++++
 gck/gck-mock.h                                     |  409 +
 gck/gck-module.c                                   |  670 ++
 gck/gck-modules.c                                  |  235 +
 gck/gck-object.c                                   | 1306 +++
 gck/gck-private.h                                  |  165 +
 gck/gck-session.c                                  | 2685 ++++++
 gck/gck-slot.c                                     | 1081 +++
 gck/gck-test.c                                     |  165 +
 gck/gck-test.h                                     |   68 +
 gck/gck-uri.c                                      |  350 +
 gck/gck.h                                          | 1310 +++
 gck/mate-gck.pc.in                                 |   14 +
 gck/pkcs11.h                                       |   30 +
 gck/tests/Makefile.am                              |   46 +
 gck/tests/gck-test.h                               |   19 +
 gck/tests/mock-test-module.c                       |   10 +
 gck/tests/test-gck-attributes.c                    |  529 ++
 gck/tests/test-gck-crypto.c                        |  551 ++
 gck/tests/test-gck-enumerator.c                    |  170 +
 gck/tests/test-gck-module.c                        |  169 +
 gck/tests/test-gck-modules.c                       |  145 +
 gck/tests/test-gck-object.c                        |  363 +
 gck/tests/test-gck-session.c                       |  246 +
 gck/tests/test-gck-slot.c                          |  203 +
 gck/tests/test-gck-uri.c                           |  229 +
 gck/tests/test-suite.c                             |  119 +
 gck/tests/test-suite.h                             |  112 +
 gcr/Makefile.am                                    |   34 +-
 gcr/gcr-certificate-basics-widget.c                |  306 -
 gcr/gcr-certificate-basics-widget.h                |   66 -
 gcr/gcr-certificate-basics-widget.ui               |  504 -
 gcr/gcr-certificate-details-widget.c               |  549 --
 gcr/gcr-certificate-details-widget.h               |   66 -
 gcr/gcr-certificate-renderer.c                     |  540 ++
 gcr/gcr-certificate-renderer.h                     |   67 +
 gcr/gcr-certificate-widget.c                       |  200 +
 gcr/gcr-certificate-widget.h                       |   67 +
 gcr/gcr-certificate.h                              |   40 +-
 gcr/gcr-display-view.c                             |  784 ++
 gcr/gcr-display-view.h                             |   94 +
 gcr/gcr-icons.c                                    |   85 +
 gcr/gcr-icons.h                                    |   36 +
 gcr/gcr-import-dialog.c                            |   36 +-
 gcr/gcr-import-dialog.h                            |   28 +-
 gcr/gcr-import-dialog.ui                           |    7 +-
 gcr/gcr-importer.c                                 |  493 +-
 gcr/gcr-importer.h                                 |   44 +-
 gcr/gcr-internal.h                                 |    2 -
 gcr/gcr-key-renderer.c                             |  342 +
 gcr/gcr-key-renderer.h                             |   62 +
 gcr/gcr-key-widget.c                               |  174 +
 gcr/gcr-key-widget.h                               |   61 +
 gcr/gcr-library.c                                  |   19 +-
 gcr/gcr-marshal.c                                  |  128 +
 gcr/gcr-marshal.h                                  |   28 +
 gcr/gcr-marshal.list                               |    1 +
 gcr/gcr-parser.c                                   |  332 +-
 gcr/gcr-parser.h                                   |   56 +-
 gcr/gcr-renderer.c                                 |  169 +
 gcr/gcr-renderer.h                                 |   73 +
 gcr/gcr-simple-certificate.c                       |   71 +-
 gcr/gcr-simple-certificate.h                       |   25 +-
 gcr/gcr-types.h                                    |   30 +-
 gcr/gcr-unlock-options-widget.h                    |    8 +-
 gcr/gcr-unlock-options-widget.ui                   |    2 +-
 gcr/gcr-unlock-options.h                           |    8 +-
 gcr/gcr-viewer.c                                   |   99 +
 gcr/gcr-viewer.h                                   |   73 +
 gcr/gcr.h                                          |    3 +-
 gcr/mate-gcr.pc.in                                 |    2 +-
 gcr/tests/Makefile.am                              |   37 +-
 gcr/tests/ui-test-certificate.c                    |   91 +
 gcr/tests/ui-test-details.c                        |   78 -
 gcr/tests/ui-test-key.c                            |   88 +
 gcr/tests/unit-test-parser.c                       |    4 +-
 gp11/Makefile.am                                   |   66 -
 gp11/gp11-attributes.c                             | 1428 ---
 gp11/gp11-call.c                                   |  541 --
 gp11/gp11-marshal.c                                |  175 -
 gp11/gp11-marshal.h                                |   36 -
 gp11/gp11-marshal.list                             |    3 -
 gp11/gp11-misc.c                                   |  437 -
 gp11/gp11-module.c                                 | 1234 ---
 gp11/gp11-object.c                                 | 1621 ----
 gp11/gp11-private.h                                |  164 -
 gp11/gp11-session.c                                | 2893 ------
 gp11/gp11-slot.c                                   | 1067 ---
 gp11/gp11.h                                        | 1527 ----
 gp11/mate-gp11.pc.in                               |   14 -
 gp11/pkcs11.h                                      |   30 -
 gp11/tests/Makefile.am                             |   43 -
 gp11/tests/gp11-test-module.c                      | 1702 ----
 gp11/tests/gp11-test.h                             |   46 -
 gp11/tests/test-gp11-mechanism.c                   |   60 -
 gp11/tests/test-suite.c                            |   92 -
 gp11/tests/test-suite.h                            |   79 -
 gp11/tests/unit-test-gp11-attributes.c             |  528 --
 gp11/tests/unit-test-gp11-crypto.c                 |  595 --
 gp11/tests/unit-test-gp11-module.c                 |  159 -
 gp11/tests/unit-test-gp11-object.c                 |  463 -
 gp11/tests/unit-test-gp11-session.c                |  323 -
 gp11/tests/unit-test-gp11-slot.c                   |  148 -
 ltmain.sh                                          | 9655 --------------------
 pkcs11/Makefile.am                                 |    2 +-
 pkcs11/gkm/gkm-file-tracker.h                      |    8 +-
 pkcs11/gkm/gkm-manager.h                           |    8 +-
 pkcs11/gkm/gkm-mock.c                              |    5 -
 pkcs11/gkm/gkm-serializable.h                      |    8 +-
 pkcs11/gkm/gkm-timer.c                             |   11 +-
 pkcs11/rpc-layer/gkm-rpc-util.c                    |    4 +-
 pkcs11/secret-store/gkm-secret-module.c            |   12 +-
 pkcs11/user-store/tests/Makefile.in                |  672 --
 pkcs11/wrap-layer/gkm-wrap-layer.h                 |    6 +-
 pkcs11/wrap-layer/gkm-wrap-login.c                 |   38 +-
 pkcs11/wrap-layer/gkm-wrap-login.h                 |    2 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c                |   89 +-
 pkcs11/wrap-layer/gkm-wrap-prompt.h                |    2 +
 pkcs11/wrap-layer/tests/Makefile.in                |  820 --
 pkcs11/wrap-layer/tests/test-login-hints.c         |   15 +-
 po/ChangeLog                                       |  142 +-
 po/LINGUAS                                         |    1 +
 po/POTFILES.in                                     |    9 +-
 po/POTFILES.skip                                   |    2 +-
 po/bg.po                                           |    2 +-
 po/ca.po                                           |  600 +-
 po/ca@valencia.po                                  |  629 +-
 po/cs.po                                           |  576 +-
 po/de.po                                           |  896 +-
 po/el.po                                           |  263 +-
 po/es.po                                           |  619 +-
 po/et.po                                           |  171 +-
 po/eu.po                                           |  603 +-
 po/fa.po                                           | 1294 ++-
 po/fr.po                                           |    1 -
 po/gl.po                                           |  636 +-
 po/he.po                                           |  622 +-
 po/id.po                                           |  124 +-
 po/it.po                                           |    4 +-
 po/ja.po                                           |    2 +-
 po/ko.po                                           |  611 +-
 po/lt.po                                           |  690 +-
 po/nb.po                                           |  551 +-
 po/pa.po                                           |  623 +-
 po/pt_BR.po                                        |  633 +-
 po/ro.po                                           | 1172 ++-
 po/ru.po                                           |  600 +-
 po/sl.po                                           |  612 +-
 po/ug.po                                           | 1032 +++
 po/zh_CN.po                                        |  577 +-
 tool/Makefile.am                                   |    5 +-
 tool/gkr-tool-import.c                             |   39 +-
 ui/Makefile.am                                     |    1 +
 ui/gku-prompt.c                                    |    2 +
 ui/gku-prompt.h                                    |    2 -
 309 files changed, 44084 insertions(+), 46887 deletions(-)

commit bca91f32b078baa7d62e4cd4e64b3625aed23818
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Sun Mar 11 21:16:42 2012 +0100

    1.2.1 release

 configure.in |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21a12d86af681f39880868c2d914ef7b56a6c85b
Merge: e406132 7406081
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Mon Feb 27 08:50:38 2012 -0800

    Merge pull request #3 from brianjmurrell/master
    
    Keyring header lengths needed fixing

commit 7406081bba6a0af644f539108cd9ee2881d6f7c7
Author: Brian J. Murrell <brian@interlinx.bc.ca>
Date:   Thu Feb 23 20:30:52 2012 -0500

    fix header lengths due to s/Gnome/Mate/g

 pkcs11/gkm/gkm-data-file.c              |    2 +-
 pkcs11/secret-store/gkm-secret-binary.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit e4061322e2aa294cd18dbeafb29e820be4a44d4b
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Wed Feb 22 16:46:44 2012 +0100

    updates for 1.2 release

 AUTHORS      |   10 +-
 ChangeLog    |  920 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 HACKING      |   11 +-
 README       |    2 +
 autogen.sh   |    4 +-
 configure.in |    2 +-
 6 files changed, 930 insertions(+), 19 deletions(-)

commit fd37a01cc8655b62dd287ccec0385cca41248e9b
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 13:21:43 2012 -0300

    g_get_user_config_dir() would be better (https://github.com/mate-desktop/mate-panel/issues/8)

 daemon/dbus/gkd-secret-service.c        |    9 ++++++---
 pkcs11/secret-store/gkm-secret-module.c |   12 ++++++++++--
 pkcs11/user-store/gkm-user-module.c     |    9 ++++++++-
 3 files changed, 24 insertions(+), 6 deletions(-)

commit dae1e1457da47f40e62c6838e52aeb39e6f18c69
Author: Perberos <perberos@gmail.com>
Date:   Mon Jan 30 13:21:23 2012 -0300

    set patch on archlinux script

 distro/archlinux/PKGBUILD |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 263bcc0c5178574c0c1f2050999a4e91dfa28527
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Tue Jan 10 14:06:34 2012 -0500

    Changed mate.gr.jp to gnome.gr.jp as requested in Issue #86

 po/ChangeLog |   86 +++++++++++++++++++++++++++++-----------------------------
 po/ja.po     |    4 +--
 2 files changed, 45 insertions(+), 45 deletions(-)

commit 02edb1d9c5b35a981cdad772e14c65d63ad9e936
Author: Stefano Karapetsas <stefano@karapetsas.com>
Date:   Fri Dec 9 11:57:40 2011 +0100

    removed autogenerated files

 INSTALL                               |  229 -
 Makefile.in                           |  869 ---
 aclocal.m4                            |10752 ---------------------------------
 config.guess                          | 1501 -----
 config.h.in                           |  237 -
 config.sub                            | 1705 ------
 daemon/Makefile.in                    |  942 ---
 daemon/control/Makefile.in            |  751 ---
 daemon/control/tests/Makefile.in      |  656 --
 daemon/data/Makefile.in               |  493 --
 daemon/dbus/Makefile.in               |  781 ---
 daemon/dbus/tests/Makefile.in         |  672 ---
 daemon/gpg-agent/Makefile.in          |  623 --
 daemon/login/Makefile.in              |  586 --
 daemon/ssh-agent/Makefile.in          |  626 --
 depcomp                               |  630 --
 docs/Makefile.in                      |  637 --
 docs/reference/Makefile.in            |  637 --
 docs/reference/gcr/Makefile.in        |  796 ---
 docs/reference/gp11/Makefile.in       |  796 ---
 egg/Makefile.in                       | 1156 ----
 egg/tests/Makefile.in                 |  913 ---
 gcr/Makefile.in                       | 1059 ----
 gcr/tests/Makefile.in                 |  782 ---
 gp11/Makefile.in                      |  896 ---
 gp11/tests/Makefile.in                |  890 ---
 gtk-doc.make                          |  280 -
 install-sh                            |  520 --
 missing                               |  376 --
 mkinstalldirs                         |  162 -
 pam/Makefile.in                       |  644 --
 pkcs11/Makefile.in                    |  705 ---
 pkcs11/gkm/Makefile.in                | 1201 ----
 pkcs11/gkm/tests/Makefile.in          |  959 ---
 pkcs11/roots-store/Makefile.in        |  836 ---
 pkcs11/roots-store/tests/Makefile.in  |  672 ---
 pkcs11/rpc-layer/Makefile.in          |  756 ---
 pkcs11/secret-store/Makefile.in       |  855 ---
 pkcs11/secret-store/tests/Makefile.in |  842 ---
 pkcs11/ssh-store/Makefile.in          |  840 ---
 pkcs11/ssh-store/tests/Makefile.in    |  709 ---
 pkcs11/user-store/Makefile.in         |  841 ---
 pkcs11/wrap-layer/Makefile.in         |  780 ---
 po/Makefile.in.in                     |  217 -
 schema/Makefile.in                    |  499 --
 testing/Makefile.in                   |  469 --
 tool/Makefile.in                      |  676 ---
 ui/Makefile.in                        |  943 ---
 ui/tests/Makefile.in                  |  672 ---
 49 files changed, 46069 deletions(-)

commit e7ae54ce05f92c5659e47093cfdb8d11e0084b0d
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Thu Dec 8 22:58:23 2011 -0500

    version updated

 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ca70b742f0ebc32b8f0e356f06fa91ae66649ffa
Author: Perberos <perberos@gmail.com>
Date:   Wed Dec 7 05:34:41 2011 -0300

    removing mate-conf depends and adding gsettings install

 distro/archlinux/PKGBUILD             |    4 ++--
 distro/archlinux/mate-keyring.install |   12 +++---------
 2 files changed, 5 insertions(+), 11 deletions(-)

commit 9b8c4d4d058eac31a0205c6dee3dc51b9480230b
Author: Steve Zesch <stevezesch2@gmail.com>
Date:   Fri Dec 2 20:25:20 2011 -0500

    Changed version to 2011.12.01

 configure.in              |    2 +-
 distro/archlinux/PKGBUILD |    2 +-
 distro/ubuntu/build       |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 66cd29c20a9ce30babceea826a4e5827d322166d
Author: Perberos <perberos@gmail.com>
Date:   Thu Dec 1 22:26:52 2011 -0300

    moving from https://github.com/perberos/mate-desktop-environment

 AUTHORS                                            |    9 +
 COPYING                                            |  340 +
 COPYING.LIB                                        |  481 +
 ChangeLog                                          |    3 +
 HACKING                                            |   93 +
 INSTALL                                            |  229 +
 Makefile.am                                        |   74 +
 Makefile.in                                        |  869 ++
 NEWS                                               |    1 +
 README                                             |   10 +
 aclocal.m4                                         |10752 ++++++++++++++++++++
 autogen.sh                                         |   25 +
 compile                                            |  143 +
 config.guess                                       | 1501 +++
 config.h.in                                        |  237 +
 config.sub                                         | 1705 ++++
 configure.in                                       |  723 ++
 daemon/Makefile.am                                 |   80 +
 daemon/Makefile.in                                 |  942 ++
 daemon/control/Makefile.am                         |   31 +
 daemon/control/Makefile.in                         |  751 ++
 daemon/control/gkd-control-client.c                |  309 +
 daemon/control/gkd-control-codes.h                 |   38 +
 daemon/control/gkd-control-server.c                |  416 +
 daemon/control/gkd-control.h                       |   42 +
 daemon/control/tests/Makefile.am                   |   57 +
 daemon/control/tests/Makefile.in                   |  656 ++
 daemon/control/tests/test-control-change.c         |   30 +
 daemon/control/tests/test-control-init.c           |   30 +
 daemon/control/tests/test-control-quit.c           |   25 +
 daemon/control/tests/test-control-unlock.c         |   24 +
 daemon/data/Makefile.am                            |   12 +
 daemon/data/Makefile.in                            |  493 +
 daemon/data/introspect-collection.xml              |   59 +
 daemon/data/introspect-item.xml                    |   47 +
 daemon/data/introspect-prompt.xml                  |   23 +
 daemon/data/introspect-service.xml                 |   93 +
 daemon/data/introspect-session.xml                 |   16 +
 daemon/dbus/Makefile.am                            |   47 +
 daemon/dbus/Makefile.in                            |  781 ++
 daemon/dbus/gkd-dbus-environment.c                 |  129 +
 daemon/dbus/gkd-dbus-private.h                     |   46 +
 daemon/dbus/gkd-dbus-secrets.c                     |  153 +
 daemon/dbus/gkd-dbus-session.c                     |  229 +
 daemon/dbus/gkd-dbus-util.c                        |   89 +
 daemon/dbus/gkd-dbus-util.h                        |   39 +
 daemon/dbus/gkd-dbus.c                             |  298 +
 daemon/dbus/gkd-dbus.h                             |   37 +
 daemon/dbus/gkd-secret-change.c                    |  319 +
 daemon/dbus/gkd-secret-change.h                    |   56 +
 daemon/dbus/gkd-secret-create.c                    |  327 +
 daemon/dbus/gkd-secret-create.h                    |   60 +
 daemon/dbus/gkd-secret-dispatch.c                  |   73 +
 daemon/dbus/gkd-secret-dispatch.h                  |   60 +
 daemon/dbus/gkd-secret-error.c                     |   48 +
 daemon/dbus/gkd-secret-error.h                     |   34 +
 daemon/dbus/gkd-secret-lock.c                      |   69 +
 daemon/dbus/gkd-secret-lock.h                      |   34 +
 daemon/dbus/gkd-secret-objects.c                   | 1348 +++
 daemon/dbus/gkd-secret-objects.h                   |   84 +
 daemon/dbus/gkd-secret-prompt.c                    |  518 +
 daemon/dbus/gkd-secret-prompt.h                    |   80 +
 daemon/dbus/gkd-secret-property.c                  |  567 ++
 daemon/dbus/gkd-secret-property.h                  |   50 +
 daemon/dbus/gkd-secret-secret.c                    |  184 +
 daemon/dbus/gkd-secret-secret.h                    |   59 +
 daemon/dbus/gkd-secret-service.c                   | 1281 +++
 daemon/dbus/gkd-secret-service.h                   |   69 +
 daemon/dbus/gkd-secret-session.c                   |  742 ++
 daemon/dbus/gkd-secret-session.h                   |   79 +
 daemon/dbus/gkd-secret-types.h                     |   62 +
 daemon/dbus/gkd-secret-unlock.c                    |  622 ++
 daemon/dbus/gkd-secret-unlock.h                    |   66 +
 daemon/dbus/gkd-secret-util.c                      |  149 +
 daemon/dbus/gkd-secret-util.h                      |   39 +
 daemon/dbus/tests/Makefile.am                      |   14 +
 daemon/dbus/tests/Makefile.in                      |  672 ++
 daemon/dbus/tests/test-secret-util.c               |   42 +
 daemon/dbus/tests/test-suite.c                     |   28 +
 daemon/dbus/tests/test-suite.h                     |    5 +
 daemon/gkd-glue.c                                  |  110 +
 daemon/gkd-glue.h                                  |   32 +
 daemon/gkd-main.c                                  |  857 ++
 daemon/gkd-main.h                                  |   31 +
 daemon/gkd-pkcs11.c                                |  216 +
 daemon/gkd-pkcs11.h                                |   39 +
 daemon/gkd-util.c                                  |  238 +
 daemon/gkd-util.h                                  |   51 +
 daemon/gpg-agent/Makefile.am                       |   37 +
 daemon/gpg-agent/Makefile.in                       |  623 ++
 daemon/gpg-agent/gkd-gpg-agent-ops.c               |  853 ++
 daemon/gpg-agent/gkd-gpg-agent-private.h           |  119 +
 daemon/gpg-agent/gkd-gpg-agent-standalone.c        |  127 +
 daemon/gpg-agent/gkd-gpg-agent.c                   |  511 +
 daemon/gpg-agent/gkd-gpg-agent.h                   |   40 +
 daemon/login/Makefile.am                           |   24 +
 daemon/login/Makefile.in                           |  586 ++
 daemon/login/gkd-login.c                           |  449 +
 daemon/login/gkd-login.h                           |   34 +
 daemon/mate-keyring-gpg.desktop.in.in              |   13 +
 daemon/mate-keyring-pkcs11.desktop.in.in           |   13 +
 daemon/mate-keyring-secrets.desktop.in.in          |   13 +
 daemon/mate-keyring-ssh.desktop.in.in              |   13 +
 daemon/org.mate-freedesktop.secrets.service.in     |    3 +
 daemon/org.mate.keyring.service.in                 |    3 +
 daemon/ssh-agent/Makefile.am                       |   38 +
 daemon/ssh-agent/Makefile.in                       |  626 ++
 daemon/ssh-agent/gkd-ssh-agent-ops.c               | 1343 +++
 daemon/ssh-agent/gkd-ssh-agent-private.h           |  180 +
 daemon/ssh-agent/gkd-ssh-agent-proto.c             |  512 +
 daemon/ssh-agent/gkd-ssh-agent-standalone.c        |  128 +
 daemon/ssh-agent/gkd-ssh-agent.c                   |  447 +
 daemon/ssh-agent/gkd-ssh-agent.h                   |   40 +
 depcomp                                            |  630 ++
 distro/archlinux/PKGBUILD                          |   35 +
 distro/archlinux/mate-keyring.install              |   19 +
 distro/ubuntu/build                                |   32 +
 distro/ubuntu/postinst                             |   11 +
 distro/ubuntu/postrm                               |    8 +
 distro/ubuntu/preinst                              |    8 +
 distro/ubuntu/prerm                                |   11 +
 docs/Makefile.am                                   |    2 +
 docs/Makefile.in                                   |  637 ++
 docs/reference/COPYING                             |   30 +
 docs/reference/Makefile.am                         |    2 +
 docs/reference/Makefile.in                         |  637 ++
 docs/reference/gcr/Makefile.am                     |   98 +
 docs/reference/gcr/Makefile.in                     |  796 ++
 docs/reference/gcr/gcr-docs.sgml                   |   27 +
 docs/reference/gcr/gcr-overrides.txt               |    2 +
 docs/reference/gcr/gcr-sections.txt                |  200 +
 docs/reference/gcr/gcr.types                       |    6 +
 docs/reference/gcr/html/ch01.html                  |   62 +
 docs/reference/gcr/html/gcr-GcrCertificate.html    |  575 ++
 .../html/gcr-gcr-certificate-basics-widget.html    |  186 +
 .../html/gcr-gcr-certificate-details-widget.html   |  186 +
 docs/reference/gcr/html/gcr-gcr-import-dialog.html |   74 +
 docs/reference/gcr/html/gcr-gcr-importer.html      |  459 +
 docs/reference/gcr/html/gcr-gcr-initializer.html   |  346 +
 docs/reference/gcr/html/gcr-gcr-parser.html        |  431 +
 .../gcr/html/gcr-gcr-simple-certificate.html       |  117 +
 docs/reference/gcr/html/gcr-gcr-types.html         |   78 +
 docs/reference/gcr/html/gcr-gcr-xxx.html           |   55 +
 docs/reference/gcr/html/gcr.devhelp                |  100 +
 docs/reference/gcr/html/gcr.devhelp2               |  100 +
 docs/reference/gcr/html/home.png                   |  Bin 0 -> 654 bytes
 docs/reference/gcr/html/index.html                 |   65 +
 docs/reference/gcr/html/index.sgml                 |  151 +
 docs/reference/gcr/html/left.png                   |  Bin 0 -> 459 bytes
 docs/reference/gcr/html/right.png                  |  Bin 0 -> 472 bytes
 docs/reference/gcr/html/style.css                  |  265 +
 docs/reference/gcr/html/up.png                     |  Bin 0 -> 406 bytes
 .../gcr/tmpl/gcr-certificate-basics-widget.sgml    |   66 +
 .../gcr/tmpl/gcr-certificate-details-widget.sgml   |   66 +
 docs/reference/gcr/tmpl/gcr-certificate.sgml       |  175 +
 docs/reference/gcr/tmpl/gcr-import-dialog.sgml     |   36 +
 docs/reference/gcr/tmpl/gcr-importer.sgml          |  164 +
 docs/reference/gcr/tmpl/gcr-initializer.sgml       |  120 +
 docs/reference/gcr/tmpl/gcr-internal.sgml          |   22 +
 docs/reference/gcr/tmpl/gcr-marshal.sgml           |   22 +
 docs/reference/gcr/tmpl/gcr-parser.sgml            |  158 +
 .../reference/gcr/tmpl/gcr-simple-certificate.sgml |   44 +
 docs/reference/gcr/tmpl/gcr-types.sgml             |   38 +
 docs/reference/gcr/tmpl/gcr-unused.sgml            |    8 +
 docs/reference/gcr/tmpl/gcr-xxx.sgml               |   22 +
 docs/reference/gcr/tmpl/gcr.sgml                   |   22 +
 docs/reference/gp11/Makefile.am                    |   99 +
 docs/reference/gp11/Makefile.in                    |  796 ++
 docs/reference/gp11/gp11-docs.sgml                 |   25 +
 docs/reference/gp11/gp11-overrides.txt             |    2 +
 docs/reference/gp11/gp11-sections.txt              |  195 +
 docs/reference/gp11/gp11.types                     |    4 +
 docs/reference/gp11/html/GP11Module.html           |  794 ++
 docs/reference/gp11/html/GP11Object.html           | 1057 ++
 docs/reference/gp11/html/GP11Session.html          | 2099 ++++
 docs/reference/gp11/html/GP11Slot.html             |  977 ++
 docs/reference/gp11/html/ch01.html                 |   56 +
 docs/reference/gp11/html/gp11-Errors.html          |  116 +
 docs/reference/gp11/html/gp11-GP11Attribute.html   |  814 ++
 docs/reference/gp11/html/gp11-GP11Attributes.html  |  884 ++
 .../gp11/html/gp11-Miscellaneous-Functions.html    |  133 +
 docs/reference/gp11/html/gp11.devhelp              |  198 +
 docs/reference/gp11/html/gp11.devhelp2             |  198 +
 docs/reference/gp11/html/home.png                  |  Bin 0 -> 654 bytes
 docs/reference/gp11/html/index.html                |   59 +
 docs/reference/gp11/html/index.sgml                |  229 +
 docs/reference/gp11/html/left.png                  |  Bin 0 -> 459 bytes
 docs/reference/gp11/html/right.png                 |  Bin 0 -> 472 bytes
 docs/reference/gp11/html/style.css                 |  265 +
 docs/reference/gp11/html/up.png                    |  Bin 0 -> 406 bytes
 docs/reference/gp11/tmpl/gp11-attribute.sgml       |  248 +
 docs/reference/gp11/tmpl/gp11-attributes.sgml      |  285 +
 docs/reference/gp11/tmpl/gp11-error.sgml           |   52 +
 docs/reference/gp11/tmpl/gp11-misc.sgml            |   49 +
 docs/reference/gp11/tmpl/gp11-module.sgml          |  225 +
 docs/reference/gp11/tmpl/gp11-object.sgml          |  295 +
 docs/reference/gp11/tmpl/gp11-session.sgml         |  523 +
 docs/reference/gp11/tmpl/gp11-slot.sgml            |  285 +
 egg/Makefile.am                                    |  119 +
 egg/Makefile.in                                    | 1156 +++
 egg/egg-asn1-defs.h                                |   32 +
 egg/egg-asn1x.c                                    | 3860 +++++++
 egg/egg-asn1x.h                                    |  183 +
 egg/egg-buffer.c                                   |  582 ++
 egg/egg-buffer.h                                   |  197 +
 egg/egg-cleanup.c                                  |   88 +
 egg/egg-cleanup.h                                  |   35 +
 egg/egg-dbus.c                                     |  419 +
 egg/egg-dbus.h                                     |   35 +
 egg/egg-dh.c                                       |  359 +
 egg/egg-dh.h                                       |   50 +
 egg/egg-dn.c                                       |  291 +
 egg/egg-dn.h                                       |   48 +
 egg/egg-entry-buffer.c                             |  198 +
 egg/egg-entry-buffer.h                             |   63 +
 egg/egg-error.h                                    |   34 +
 egg/egg-hex.c                                      |  122 +
 egg/egg-hex.h                                      |   40 +
 egg/egg-libgcrypt.c                                |  118 +
 egg/egg-libgcrypt.h                                |   30 +
 egg/egg-mkdtemp.c                                  |  199 +
 egg/egg-mkdtemp.h                                  |   27 +
 egg/egg-oid.c                                      |  178 +
 egg/egg-oid.h                                      |   39 +
 egg/egg-openssl.c                                  |  685 ++
 egg/egg-openssl.h                                  |   56 +
 egg/egg-padding.c                                  |  302 +
 egg/egg-padding.h                                  |   88 +
 egg/egg-secure-memory.c                            | 1235 +++
 egg/egg-secure-memory.h                            |  101 +
 egg/egg-spawn.c                                    |  378 +
 egg/egg-spawn.h                                    |   69 +
 egg/egg-symkey.c                                   | 1027 ++
 egg/egg-symkey.h                                   |   76 +
 egg/egg-unix-credentials.c                         |  250 +
 egg/egg-unix-credentials.h                         |   38 +
 egg/pk.asn                                         |  103 +
 egg/pkix.asn                                       | 1229 +++
 egg/tests/Makefile.am                              |   44 +
 egg/tests/Makefile.in                              |  913 ++
 egg/tests/asn1-def-test.c                          |   33 +
 egg/tests/test-asn1.c                              |  417 +
 egg/tests/test-asn1x.c                             |   92 +
 egg/tests/test-data/dh-params.pem                  |    5 +
 egg/tests/test-data/echo-script.sh                 |   12 +
 egg/tests/test-data/pem-rsa-enc.key                |   18 +
 egg/tests/test-data/test-certificate-1.der         |  Bin 0 -> 813 bytes
 egg/tests/test-data/test-personalname-1.der        |    1 +
 egg/tests/test-data/test-pkcs12-1.der              |  Bin 0 -> 2824 bytes
 egg/tests/test-data/test-pkcs7-1.der               |  Bin 0 -> 1002 bytes
 egg/tests/test-data/test-pkcs7-2.der               |  Bin 0 -> 1002 bytes
 egg/tests/test-data/test-pkcs8-1.der               |  Bin 0 -> 335 bytes
 egg/tests/test-data/test-rsakey-1.der              |  Bin 0 -> 609 bytes
 egg/tests/test-dn.c                                |  158 +
 egg/tests/test-padding.c                           |  182 +
 egg/tests/test-suite.c                             |  112 +
 egg/tests/test-suite.h                             |   95 +
 egg/tests/test.asn                                 |   43 +
 egg/tests/unit-test-asn1.c                         |  409 +
 egg/tests/unit-test-cleanup.c                      |  153 +
 egg/tests/unit-test-dh.c                           |  172 +
 egg/tests/unit-test-hex.c                          |   85 +
 egg/tests/unit-test-oid.c                          |   46 +
 egg/tests/unit-test-openssl.c                      |  137 +
 egg/tests/unit-test-secmem.c                       |  237 +
 egg/tests/unit-test-spawn.c                        |  274 +
 egg/tests/unit-test-symkey.c                       |  228 +
 gcr/Makefile.am                                    |  113 +
 gcr/Makefile.in                                    | 1059 ++
 gcr/gcr-certificate-basics-widget.c                |  306 +
 gcr/gcr-certificate-basics-widget.h                |   66 +
 gcr/gcr-certificate-basics-widget.ui               |  504 +
 gcr/gcr-certificate-details-widget.c               |  549 +
 gcr/gcr-certificate-details-widget.h               |   66 +
 gcr/gcr-certificate.c                              |  643 ++
 gcr/gcr-certificate.h                              |   96 +
 gcr/gcr-import-dialog.c                            |  461 +
 gcr/gcr-import-dialog.h                            |   94 +
 gcr/gcr-import-dialog.ui                           |  125 +
 gcr/gcr-importer.c                                 |  926 ++
 gcr/gcr-importer.h                                 |  102 +
 gcr/gcr-internal.h                                 |   14 +
 gcr/gcr-library.c                                  |  142 +
 gcr/gcr-marshal.list                               |    1 +
 gcr/gcr-parser.c                                   | 1667 +++
 gcr/gcr-parser.h                                   |   92 +
 gcr/gcr-simple-certificate.c                       |  136 +
 gcr/gcr-simple-certificate.h                       |   62 +
 gcr/gcr-types.h                                    |   61 +
 gcr/gcr-unlock-options-widget.c                    |  374 +
 gcr/gcr-unlock-options-widget.h                    |   86 +
 gcr/gcr-unlock-options-widget.ui                   |  117 +
 gcr/gcr-unlock-options.h                           |   36 +
 gcr/gcr.h                                          |   34 +
 gcr/mate-gcr.pc.in                                 |   14 +
 gcr/tests/Makefile.am                              |   49 +
 gcr/tests/Makefile.in                              |  782 ++
 gcr/tests/test-data/RSA_Root_Certificate_1.pem     |   19 +
 gcr/tests/test-data/RSA_Security_1024_v3.pem       |   16 +
 gcr/tests/test-data/RSA_Security_2048_v3.pem       |   22 +
 gcr/tests/test-data/Thawte_Personal_Basic_CA.pem   |   20 +
 .../test-data/Thawte_Personal_Freemail_CA.pem      |   21 +
 gcr/tests/test-data/Thawte_Personal_Premium_CA.pem |   21 +
 gcr/tests/test-data/Thawte_Premium_Server_CA.pem   |   21 +
 gcr/tests/test-data/Thawte_Server_CA.pem           |   20 +
 gcr/tests/test-data/Thawte_Time_Stamping_CA.pem    |   18 +
 gcr/tests/test-data/ca-certificates.crt            | 2560 +++++
 gcr/tests/test-data/cacert.org.pem                 |   41 +
 gcr/tests/test-data/der-certificate.crt            |  Bin 0 -> 747 bytes
 gcr/tests/test-data/der-dsa-1024.key               |  Bin 0 -> 447 bytes
 gcr/tests/test-data/der-pkcs8-PBE-MD5-DES.key      |  Bin 0 -> 677 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 0 -> 678 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-DES.key     |  Bin 0 -> 677 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 0 -> 678 bytes
 gcr/tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 0 -> 673 bytes
 gcr/tests/test-data/der-pkcs8-dsa.key              |  Bin 0 -> 335 bytes
 gcr/tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 0 -> 677 bytes
 gcr/tests/test-data/der-pkcs8-v2-des.key           |  Bin 0 -> 711 bytes
 gcr/tests/test-data/der-pkcs8-v2-des3.key          |  Bin 0 -> 714 bytes
 gcr/tests/test-data/der-pkcs8.key                  |  Bin 0 -> 635 bytes
 gcr/tests/test-data/der-rsa-1024.key               |  Bin 0 -> 609 bytes
 gcr/tests/test-data/email.p12                      |  Bin 0 -> 2488 bytes
 gcr/tests/test-data/pem-dsa-1024.key               |   12 +
 gcr/tests/test-data/pem-pkcs8.key                  |   17 +
 gcr/tests/test-data/pem-rsa-enc.key                |   18 +
 gcr/tests/test-data/test-x509-swiss.p7b            |  Bin 0 -> 1002 bytes
 gcr/tests/test-data/unclient.p12                   |  Bin 0 -> 1476 bytes
 gcr/tests/test-suite.c                             |   39 +
 gcr/tests/test-suite.h                             |   20 +
 gcr/tests/ui-test-details.c                        |   78 +
 gcr/tests/ui-test-unlock-options.c                 |   83 +
 gcr/tests/unit-test-certificate.c                  |  135 +
 gcr/tests/unit-test-parser.c                       |  139 +
 gp11/Makefile.am                                   |   66 +
 gp11/Makefile.in                                   |  896 ++
 gp11/gp11-attributes.c                             | 1428 +++
 gp11/gp11-call.c                                   |  541 +
 gp11/gp11-marshal.c                                |  175 +
 gp11/gp11-marshal.h                                |   36 +
 gp11/gp11-marshal.list                             |    3 +
 gp11/gp11-misc.c                                   |  437 +
 gp11/gp11-module.c                                 | 1234 +++
 gp11/gp11-object.c                                 | 1621 +++
 gp11/gp11-private.h                                |  164 +
 gp11/gp11-session.c                                | 2893 ++++++
 gp11/gp11-slot.c                                   | 1067 ++
 gp11/gp11.h                                        | 1527 +++
 gp11/mate-gp11.pc.in                               |   14 +
 gp11/pkcs11.h                                      |   30 +
 gp11/tests/Makefile.am                             |   43 +
 gp11/tests/Makefile.in                             |  890 ++
 gp11/tests/gp11-test-module.c                      | 1702 ++++
 gp11/tests/gp11-test.h                             |   46 +
 gp11/tests/test-gp11-mechanism.c                   |   60 +
 gp11/tests/test-suite.c                            |   92 +
 gp11/tests/test-suite.h                            |   79 +
 gp11/tests/unit-test-gp11-attributes.c             |  528 +
 gp11/tests/unit-test-gp11-crypto.c                 |  595 ++
 gp11/tests/unit-test-gp11-module.c                 |  159 +
 gp11/tests/unit-test-gp11-object.c                 |  463 +
 gp11/tests/unit-test-gp11-session.c                |  323 +
 gp11/tests/unit-test-gp11-slot.c                   |  148 +
 gtk-doc.make                                       |  280 +
 install-sh                                         |  520 +
 ltmain.sh                                          | 9655 ++++++++++++++++++
 missing                                            |  376 +
 mkinstalldirs                                      |  162 +
 pam/Makefile.am                                    |   26 +
 pam/Makefile.in                                    |  644 ++
 pam/gkr-pam-client.c                               |  411 +
 pam/gkr-pam-module.c                               | 1075 ++
 pam/gkr-pam-stubs.c                                |   50 +
 pam/gkr-pam.h                                      |   41 +
 pkcs11/Makefile.am                                 |   20 +
 pkcs11/Makefile.in                                 |  705 ++
 pkcs11/gkm/Makefile.am                             |  101 +
 pkcs11/gkm/Makefile.in                             | 1201 +++
 pkcs11/gkm/asn1-def-pk.h                           |   70 +
 pkcs11/gkm/asn1-def-pkix.h                         | 1110 ++
 pkcs11/gkm/gkm-aes-key.c                           |  267 +
 pkcs11/gkm/gkm-aes-key.h                           |   57 +
 pkcs11/gkm/gkm-aes-mechanism.c                     |  231 +
 pkcs11/gkm/gkm-aes-mechanism.h                     |   54 +
 pkcs11/gkm/gkm-attributes.c                        |  676 ++
 pkcs11/gkm/gkm-attributes.h                        |  154 +
 pkcs11/gkm/gkm-certificate-key.c                   |  152 +
 pkcs11/gkm/gkm-certificate-key.h                   |   57 +
 pkcs11/gkm/gkm-certificate-trust.c                 |  377 +
 pkcs11/gkm/gkm-certificate-trust.h                 |   57 +
 pkcs11/gkm/gkm-certificate.c                       |  779 ++
 pkcs11/gkm/gkm-certificate.h                       |   76 +
 pkcs11/gkm/gkm-credential.c                        |  525 +
 pkcs11/gkm/gkm-credential.h                        |   95 +
 pkcs11/gkm/gkm-crypto.c                            |  550 +
 pkcs11/gkm/gkm-crypto.h                            |  157 +
 pkcs11/gkm/gkm-data-asn1.c                         |   73 +
 pkcs11/gkm/gkm-data-asn1.h                         |   36 +
 pkcs11/gkm/gkm-data-der.c                          | 1243 +++
 pkcs11/gkm/gkm-data-der.h                          |  123 +
 pkcs11/gkm/gkm-data-file.c                         | 1478 +++
 pkcs11/gkm/gkm-data-file.h                         |  109 +
 pkcs11/gkm/gkm-data-types.h                        |   15 +
 pkcs11/gkm/gkm-dh-key.c                            |  155 +
 pkcs11/gkm/gkm-dh-key.h                            |   59 +
 pkcs11/gkm/gkm-dh-mechanism.c                      |  270 +
 pkcs11/gkm/gkm-dh-mechanism.h                      |   52 +
 pkcs11/gkm/gkm-dh-private-key.c                    |  220 +
 pkcs11/gkm/gkm-dh-private-key.h                    |   59 +
 pkcs11/gkm/gkm-dh-public-key.c                     |  192 +
 pkcs11/gkm/gkm-dh-public-key.h                     |   57 +
 pkcs11/gkm/gkm-dsa-mechanism.c                     |  144 +
 pkcs11/gkm/gkm-dsa-mechanism.h                     |   49 +
 pkcs11/gkm/gkm-factory.c                           |   24 +
 pkcs11/gkm/gkm-factory.h                           |   40 +
 pkcs11/gkm/gkm-file-tracker.c                      |  304 +
 pkcs11/gkm/gkm-file-tracker.h                      |   66 +
 pkcs11/gkm/gkm-manager.c                           |  999 ++
 pkcs11/gkm/gkm-manager.h                           |  151 +
 pkcs11/gkm/gkm-marshal.c                           |  163 +
 pkcs11/gkm/gkm-marshal.h                           |   36 +
 pkcs11/gkm/gkm-marshal.list                        |    3 +
 pkcs11/gkm/gkm-memory-store.c                      |  261 +
 pkcs11/gkm/gkm-memory-store.h                      |   48 +
 pkcs11/gkm/gkm-mock.c                              | 1607 +++
 pkcs11/gkm/gkm-mock.h                              |  396 +
 pkcs11/gkm/gkm-module-ep.h                         | 1541 +++
 pkcs11/gkm/gkm-module.c                            | 1372 +++
 pkcs11/gkm/gkm-module.h                            |  224 +
 pkcs11/gkm/gkm-null-key.c                          |  131 +
 pkcs11/gkm/gkm-null-key.h                          |   52 +
 pkcs11/gkm/gkm-null-mechanism.c                    |  157 +
 pkcs11/gkm/gkm-null-mechanism.h                    |   55 +
 pkcs11/gkm/gkm-object.c                            |  948 ++
 pkcs11/gkm/gkm-object.h                            |  155 +
 pkcs11/gkm/gkm-private-xsa-key.c                   |  427 +
 pkcs11/gkm/gkm-private-xsa-key.h                   |   67 +
 pkcs11/gkm/gkm-public-xsa-key.c                    |  316 +
 pkcs11/gkm/gkm-public-xsa-key.h                    |   60 +
 pkcs11/gkm/gkm-rsa-mechanism.c                     |  220 +
 pkcs11/gkm/gkm-rsa-mechanism.h                     |   67 +
 pkcs11/gkm/gkm-secret-key.c                        |  159 +
 pkcs11/gkm/gkm-secret-key.h                        |   51 +
 pkcs11/gkm/gkm-secret.c                            |  184 +
 pkcs11/gkm/gkm-secret.h                            |   69 +
 pkcs11/gkm/gkm-serializable.c                      |   79 +
 pkcs11/gkm/gkm-serializable.h                      |   67 +
 pkcs11/gkm/gkm-session.c                           | 1643 +++
 pkcs11/gkm/gkm-session.h                           |  366 +
 pkcs11/gkm/gkm-sexp-key.c                          |  261 +
 pkcs11/gkm/gkm-sexp-key.h                          |   71 +
 pkcs11/gkm/gkm-sexp.c                              |  281 +
 pkcs11/gkm/gkm-sexp.h                              |   61 +
 pkcs11/gkm/gkm-store.c                             |  328 +
 pkcs11/gkm/gkm-store.h                             |  102 +
 pkcs11/gkm/gkm-test.c                              |   60 +
 pkcs11/gkm/gkm-test.h                              |   62 +
 pkcs11/gkm/gkm-timer.c                             |  230 +
 pkcs11/gkm/gkm-timer.h                             |   43 +
 pkcs11/gkm/gkm-transaction.c                       |  510 +
 pkcs11/gkm/gkm-transaction.h                       |   82 +
 pkcs11/gkm/gkm-types.h                             |   51 +
 pkcs11/gkm/gkm-util.c                              |  220 +
 pkcs11/gkm/gkm-util.h                              |   56 +
 pkcs11/gkm/pk.asn                                  |  103 +
 pkcs11/gkm/pkix.asn                                | 1230 +++
 pkcs11/gkm/tests/Makefile.am                       |   47 +
 pkcs11/gkm/tests/Makefile.in                       |  959 ++
 pkcs11/gkm/tests/asn1-def-test.h                   |   17 +
 pkcs11/gkm/tests/dump-data-file.c                  |   95 +
 pkcs11/gkm/tests/mock-locked-object.c              |   91 +
 pkcs11/gkm/tests/mock-locked-object.h              |   52 +
 pkcs11/gkm/tests/test-data/ca-certificates.crt     | 3601 +++++++
 pkcs11/gkm/tests/test-data/data-file-private.store |  Bin 0 -> 493 bytes
 pkcs11/gkm/tests/test-data/data-file-public.store  |  Bin 0 -> 215 bytes
 .../gkm/tests/test-data/der-pkcs8-PBE-MD5-DES.key  |  Bin 0 -> 677 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-3DES.key    |  Bin 0 -> 678 bytes
 .../gkm/tests/test-data/der-pkcs8-PBE-SHA1-DES.key |  Bin 0 -> 677 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC2-40.key  |  Bin 0 -> 678 bytes
 .../tests/test-data/der-pkcs8-PBE-SHA1-RC4-128.key |  Bin 0 -> 673 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-dsa.key       |  Bin 0 -> 335 bytes
 .../tests/test-data/der-pkcs8-encrypted-pkcs5.key  |  Bin 0 -> 677 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-v2-des.key    |  Bin 0 -> 711 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8-v2-des3.key   |  Bin 0 -> 714 bytes
 pkcs11/gkm/tests/test-data/der-pkcs8.key           |  Bin 0 -> 635 bytes
 pkcs11/gkm/tests/test-data/pem-rsa-enc.key         |   18 +
 pkcs11/gkm/tests/test-data/test-certificate-1.der  |  Bin 0 -> 813 bytes
 pkcs11/gkm/tests/test-data/test-certificate-2.der  |  Bin 0 -> 1346 bytes
 pkcs11/gkm/tests/test-module.c                     |  114 +
 pkcs11/gkm/tests/test-module.h                     |   45 +
 pkcs11/gkm/tests/test-suite.c                      |  187 +
 pkcs11/gkm/tests/test-suite.h                      |  184 +
 pkcs11/gkm/tests/test.asn                          |   16 +
 pkcs11/gkm/tests/unit-test-attributes.c            |  779 ++
 pkcs11/gkm/tests/unit-test-credential.c            |  285 +
 pkcs11/gkm/tests/unit-test-data-asn1.c             |   95 +
 pkcs11/gkm/tests/unit-test-data-der.c              |  550 +
 pkcs11/gkm/tests/unit-test-data-file.c             |  587 ++
 pkcs11/gkm/tests/unit-test-file-tracker.c          |  221 +
 pkcs11/gkm/tests/unit-test-memory-store.c          |  438 +
 pkcs11/gkm/tests/unit-test-object.c                |  277 +
 pkcs11/gkm/tests/unit-test-secret.c                |  178 +
 pkcs11/gkm/tests/unit-test-sexp.c                  |  132 +
 pkcs11/gkm/tests/unit-test-store.c                 |   85 +
 pkcs11/gkm/tests/unit-test-timer.c                 |  144 +
 pkcs11/gkm/tests/unit-test-transaction.c           |  334 +
 pkcs11/pkcs11.h                                    | 1357 +++
 pkcs11/pkcs11g.h                                   |   97 +
 pkcs11/pkcs11i.h                                   |  122 +
 pkcs11/pkcs11n.h                                   |  221 +
 pkcs11/roots-store/Makefile.am                     |   54 +
 pkcs11/roots-store/Makefile.in                     |  836 ++
 pkcs11/roots-store/gkm-roots-certificate.c         |  216 +
 pkcs11/roots-store/gkm-roots-certificate.h         |   55 +
 pkcs11/roots-store/gkm-roots-module.c              |  365 +
 pkcs11/roots-store/gkm-roots-module.h              |   45 +
 pkcs11/roots-store/gkm-roots-standalone.c          |   54 +
 pkcs11/roots-store/gkm-roots-store.h               |   29 +
 pkcs11/roots-store/tests/Makefile.am               |   16 +
 pkcs11/roots-store/tests/Makefile.in               |  672 ++
 pkcs11/roots-store/tests/p11-tests.conf            |    2 +
 .../tests/test-data/RSA_Root_Certificate_1.pem     |   19 +
 .../tests/test-data/RSA_Security_1024_v3.pem       |   16 +
 .../tests/test-data/RSA_Security_2048_v3.pem       |   22 +
 .../tests/test-data/Thawte_Personal_Basic_CA.pem   |   20 +
 .../test-data/Thawte_Personal_Freemail_CA.pem      |   21 +
 .../tests/test-data/Thawte_Personal_Premium_CA.pem |   21 +
 .../tests/test-data/Thawte_Premium_Server_CA.pem   |   21 +
 .../tests/test-data/Thawte_Server_CA.pem           |   20 +
 .../tests/test-data/Thawte_Time_Stamping_CA.pem    |   18 +
 .../tests/test-data/ca-certificates.crt            | 2560 +++++
 pkcs11/roots-store/tests/test-data/cacert.org.pem  |   41 +
 .../tests/test-data/der-certificate.crt            |  Bin 0 -> 747 bytes
 pkcs11/roots-store/tests/test-module.c             |   34 +
 pkcs11/roots-store/tests/test-suite.c              |   28 +
 pkcs11/roots-store/tests/test-suite.h              |    5 +
 pkcs11/rpc-layer/Makefile.am                       |   63 +
 pkcs11/rpc-layer/Makefile.in                       |  756 ++
 pkcs11/rpc-layer/gkm-rpc-daemon-standalone.c       |  134 +
 pkcs11/rpc-layer/gkm-rpc-dispatch.c                | 2373 +++++
 pkcs11/rpc-layer/gkm-rpc-layer.h                   |   25 +
 pkcs11/rpc-layer/gkm-rpc-message.c                 |  471 +
 pkcs11/rpc-layer/gkm-rpc-module.c                  | 2206 ++++
 pkcs11/rpc-layer/gkm-rpc-private.h                 |  342 +
 pkcs11/rpc-layer/gkm-rpc-util.c                    |  207 +
 pkcs11/secret-store/Makefile.am                    |   61 +
 pkcs11/secret-store/Makefile.in                    |  855 ++
 pkcs11/secret-store/gkm-secret-binary.c            |  988 ++
 pkcs11/secret-store/gkm-secret-binary.h            |   40 +
 pkcs11/secret-store/gkm-secret-collection.c        |  981 ++
 pkcs11/secret-store/gkm-secret-collection.h        |  105 +
 pkcs11/secret-store/gkm-secret-compat.c            |   91 +
 pkcs11/secret-store/gkm-secret-compat.h            |   47 +
 pkcs11/secret-store/gkm-secret-data.c              |  222 +
 pkcs11/secret-store/gkm-secret-data.h              |   70 +
 pkcs11/secret-store/gkm-secret-fields.c            |  494 +
 pkcs11/secret-store/gkm-secret-fields.h            |  106 +
 pkcs11/secret-store/gkm-secret-item.c              |  499 +
 pkcs11/secret-store/gkm-secret-item.h              |   61 +
 pkcs11/secret-store/gkm-secret-module.c            |  510 +
 pkcs11/secret-store/gkm-secret-module.h            |   44 +
 pkcs11/secret-store/gkm-secret-object.c            |  399 +
 pkcs11/secret-store/gkm-secret-object.h            |   81 +
 pkcs11/secret-store/gkm-secret-search.c            |  465 +
 pkcs11/secret-store/gkm-secret-search.h            |   54 +
 pkcs11/secret-store/gkm-secret-standalone.c        |   54 +
 pkcs11/secret-store/gkm-secret-store.h             |   29 +
 pkcs11/secret-store/gkm-secret-textual.c           |  550 +
 pkcs11/secret-store/gkm-secret-textual.h           |   39 +
 pkcs11/secret-store/gkm-secret-types.h             |   35 +
 pkcs11/secret-store/tests/Makefile.am              |   23 +
 pkcs11/secret-store/tests/Makefile.in              |  842 ++
 .../secret-store/tests/test-data/encrypted.keyring |  Bin 0 -> 732 bytes
 .../tests/test-data/plain-bad-number.keyring       |   23 +
 pkcs11/secret-store/tests/test-data/plain.keyring  |   55 +
 pkcs11/secret-store/tests/test-secret-module.c     |  288 +
 pkcs11/secret-store/tests/test-secret-module.h     |   50 +
 pkcs11/secret-store/tests/test-suite.c             |  133 +
 pkcs11/secret-store/tests/test-suite.h             |  122 +
 .../secret-store/tests/unit-test-secret-binary.c   |  200 +
 .../tests/unit-test-secret-collection.c            |  563 +
 .../secret-store/tests/unit-test-secret-compat.c   |  115 +
 pkcs11/secret-store/tests/unit-test-secret-data.c  |  215 +
 .../secret-store/tests/unit-test-secret-fields.c   |  387 +
 pkcs11/secret-store/tests/unit-test-secret-item.c  |  438 +
 .../secret-store/tests/unit-test-secret-object.c   |  269 +
 .../secret-store/tests/unit-test-secret-search.c   |  353 +
 .../secret-store/tests/unit-test-secret-textual.c  |  184 +
 pkcs11/ssh-store/Makefile.am                       |   56 +
 pkcs11/ssh-store/Makefile.in                       |  840 ++
 pkcs11/ssh-store/gkm-ssh-module.c                  |  274 +
 pkcs11/ssh-store/gkm-ssh-module.h                  |   46 +
 pkcs11/ssh-store/gkm-ssh-openssh.c                 |  395 +
 pkcs11/ssh-store/gkm-ssh-openssh.h                 |   24 +
 pkcs11/ssh-store/gkm-ssh-private-key.c             |  378 +
 pkcs11/ssh-store/gkm-ssh-private-key.h             |   62 +
 pkcs11/ssh-store/gkm-ssh-public-key.c              |  153 +
 pkcs11/ssh-store/gkm-ssh-public-key.h              |   53 +
 pkcs11/ssh-store/gkm-ssh-standalone.c              |   51 +
 pkcs11/ssh-store/gkm-ssh-store.h                   |   29 +
 pkcs11/ssh-store/tests/Makefile.am                 |   16 +
 pkcs11/ssh-store/tests/Makefile.in                 |  709 ++
 pkcs11/ssh-store/tests/test-data/id_dsa_encrypted  |   15 +
 .../ssh-store/tests/test-data/id_dsa_encrypted.pub |    1 +
 pkcs11/ssh-store/tests/test-data/id_dsa_plain      |   12 +
 pkcs11/ssh-store/tests/test-data/id_dsa_plain.pub  |    1 +
 pkcs11/ssh-store/tests/test-data/id_dsa_test.pub   |    7 +
 pkcs11/ssh-store/tests/test-data/id_rsa_encrypted  |   30 +
 .../ssh-store/tests/test-data/id_rsa_encrypted.pub |    1 +
 pkcs11/ssh-store/tests/test-data/id_rsa_plain      |   27 +
 pkcs11/ssh-store/tests/test-data/id_rsa_plain.pub  |    1 +
 pkcs11/ssh-store/tests/test-data/id_rsa_test.pub   |    1 +
 pkcs11/ssh-store/tests/test-ssh-module.c           |  113 +
 pkcs11/ssh-store/tests/test-ssh-module.h           |   43 +
 pkcs11/ssh-store/tests/test-suite.c                |   32 +
 pkcs11/ssh-store/tests/test-suite.h                |   11 +
 pkcs11/ssh-store/tests/unit-test-private-key.c     |   97 +
 pkcs11/ssh-store/tests/unit-test-ssh-openssh.c     |  117 +
 pkcs11/user-store/Makefile.am                      |   56 +
 pkcs11/user-store/Makefile.in                      |  841 ++
 pkcs11/user-store/gkm-user-module.c                |  350 +
 pkcs11/user-store/gkm-user-module.h                |   45 +
 pkcs11/user-store/gkm-user-private-key.c           |  357 +
 pkcs11/user-store/gkm-user-private-key.h           |   52 +
 pkcs11/user-store/gkm-user-public-key.c            |  205 +
 pkcs11/user-store/gkm-user-public-key.h            |   51 +
 pkcs11/user-store/gkm-user-standalone.c            |   51 +
 pkcs11/user-store/gkm-user-storage.c               | 1358 +++
 pkcs11/user-store/gkm-user-storage.h               |   79 +
 pkcs11/user-store/gkm-user-store.h                 |   29 +
 pkcs11/user-store/tests/Makefile.am                |   16 +
 pkcs11/user-store/tests/Makefile.in                |  672 ++
 pkcs11/user-store/tests/p11-tests.conf             |    2 +
 pkcs11/user-store/tests/test-module.c              |   34 +
 pkcs11/user-store/tests/test-suite.c               |   28 +
 pkcs11/user-store/tests/test-suite.h               |    5 +
 pkcs11/wrap-layer/Makefile.am                      |   35 +
 pkcs11/wrap-layer/Makefile.in                      |  780 ++
 pkcs11/wrap-layer/gkm-wrap-layer.c                 | 1605 +++
 pkcs11/wrap-layer/gkm-wrap-layer.h                 |   39 +
 pkcs11/wrap-layer/gkm-wrap-login.c                 |  465 +
 pkcs11/wrap-layer/gkm-wrap-login.h                 |   42 +
 pkcs11/wrap-layer/gkm-wrap-prompt.c                | 1527 +++
 pkcs11/wrap-layer/gkm-wrap-prompt.h                |  104 +
 pkcs11/wrap-layer/tests/Makefile.am                |   19 +
 pkcs11/wrap-layer/tests/Makefile.in                |  820 ++
 pkcs11/wrap-layer/tests/mock-secret-store.c        |  286 +
 pkcs11/wrap-layer/tests/test-create-credential.c   |  156 +
 pkcs11/wrap-layer/tests/test-init-pin.c            |   92 +
 pkcs11/wrap-layer/tests/test-login-auto.c          |  210 +
 pkcs11/wrap-layer/tests/test-login-hints.c         |   44 +
 pkcs11/wrap-layer/tests/test-login-keyring.c       |  306 +
 pkcs11/wrap-layer/tests/test-login-specific.c      |  135 +
 pkcs11/wrap-layer/tests/test-login-user.c          |  144 +
 pkcs11/wrap-layer/tests/test-set-pin.c             |   92 +
 pkcs11/wrap-layer/tests/test-suite.c               |   58 +
 pkcs11/wrap-layer/tests/test-suite.h               |   49 +
 po/ChangeLog                                       | 2600 +++++
 po/LINGUAS                                         |   82 +
 po/Makefile.in.in                                  |  217 +
 po/POTFILES.in                                     |   29 +
 po/POTFILES.skip                                   |    8 +
 po/ar.po                                           | 1538 +++
 po/as.po                                           | 1412 +++
 po/ast.po                                          | 1335 +++
 po/az.po                                           |  395 +
 po/be.po                                           |  296 +
 po/be@latin.po                                     | 1369 +++
 po/bg.po                                           | 1069 ++
 po/bn.po                                           | 1084 ++
 po/bn_IN.po                                        | 1367 +++
 po/bs.po                                           |  383 +
 po/ca.po                                           | 1547 +++
 po/ca@valencia.po                                  | 1547 +++
 po/cs.po                                           | 1065 ++
 po/cy.po                                           |  398 +
 po/da.po                                           | 1474 +++
 po/de.po                                           | 1477 +++
 po/dz.po                                           |  528 +
 po/el.po                                           | 1082 ++
 po/en@shaw.po                                      | 1084 ++
 po/en_CA.po                                        |  401 +
 po/en_GB.po                                        | 1563 +++
 po/es.po                                           | 1579 +++
 po/et.po                                           |  819 ++
 po/eu.po                                           | 1059 ++
 po/fa.po                                           |  402 +
 po/fi.po                                           | 1238 +++
 po/fr.po                                           | 1092 ++
 po/ga.po                                           | 1245 +++
 po/gl.po                                           | 1120 ++
 po/gu.po                                           | 1367 +++
 po/he.po                                           | 1384 +++
 po/hi.po                                           | 1355 +++
 po/hr.po                                           | 1046 ++
 po/hu.po                                           | 1072 ++
 po/id.po                                           | 1070 ++
 po/is.po                                           |  340 +
 po/it.po                                           | 1112 ++
 po/ja.po                                           | 1138 +++
 po/ka.po                                           |  363 +
 po/kn.po                                           | 1382 +++
 po/ko.po                                           | 1454 +++
 po/lt.po                                           | 1501 +++
 po/lv.po                                           | 1477 +++
 po/mai.po                                          | 1291 +++
 po/mg.po                                           |  410 +
 po/mk.po                                           | 1070 ++
 po/ml.po                                           | 1380 +++
 po/mn.po                                           |  391 +
 po/mr.po                                           | 1358 +++
 po/ms.po                                           | 1266 +++
 po/nb.po                                           | 1063 ++
 po/ne.po                                           |  395 +
 po/nl.po                                           | 1533 +++
 po/nn.po                                           |  623 ++
 po/oc.po                                           |  534 +
 po/or.po                                           | 1114 ++
 po/pa.po                                           | 1390 +++
 po/pl.po                                           | 1076 ++
 po/pt.po                                           | 1570 +++
 po/pt_BR.po                                        | 1508 +++
 po/ro.po                                           | 1350 +++
 po/ru.po                                           | 1068 ++
 po/rw.po                                           |  390 +
 po/si.po                                           |  336 +
 po/sk.po                                           |  407 +
 po/sl.po                                           | 1083 ++
 po/sq.po                                           | 1089 ++
 po/sr.po                                           | 1514 +++
 po/sr@latin.po                                     | 1514 +++
 po/sv.po                                           | 1519 +++
 po/ta.po                                           | 1423 +++
 po/te.po                                           | 1361 +++
 po/th.po                                           | 1468 +++
 po/tr.po                                           | 1389 +++
 po/uk.po                                           | 1083 ++
 po/vi.po                                           | 1056 ++
 po/xh.po                                           |  407 +
 po/zh_CN.po                                        | 1514 +++
 po/zh_HK.po                                        | 1088 ++
 po/zh_TW.po                                        | 1090 ++
 schema/Makefile.am                                 |   17 +
 schema/Makefile.in                                 |  499 +
 schema/org.mate.crypto.cache.convert               |    3 +
 schema/org.mate.crypto.cache.gschema.xml           |   19 +
 schema/org.mate.crypto.pgp.convert                 |    6 +
 schema/org.mate.crypto.pgp.gschema.xml             |   29 +
 testing/Makefile.am                                |   23 +
 testing/Makefile.in                                |  469 +
 testing/ca-example/certs/ca.crt                    |   23 +
 testing/ca-example/certs/client.crt                |   19 +
 testing/ca-example/certs/email.crt                 |   19 +
 testing/ca-example/certs/generic-dsa.crt           |   22 +
 testing/ca-example/keys/ca.key                     |   15 +
 testing/ca-example/keys/client.key                 |   27 +
 testing/ca-example/keys/dsa.params                 |    9 +
 testing/ca-example/keys/email.key                  |   27 +
 testing/ca-example/keys/generic-dsa.key            |   12 +
 testing/ca-example/profiles/ca.conf                |   32 +
 testing/ca-example/profiles/extensions.conf        |   16 +
 testing/ca-example/profiles/request.conf           |   18 +
 testing/ca-example/requests/client.req             |   17 +
 testing/ca-example/requests/email.req              |   17 +
 testing/ca-example/requests/generic-dsa.req        |   16 +
 testing/ca-example/serial.txt                      |    1 +
 testing/testing-build.sh                           |  137 +
 testing/testing.c                                  |  297 +
 testing/testing.h                                  |  105 +
 testing/testing.make                               |   57 +
 tool/Makefile.am                                   |   32 +
 tool/Makefile.in                                   |  676 ++
 tool/gkr-tool-import.c                             |  144 +
 tool/gkr-tool.c                                    |  154 +
 tool/gkr-tool.h                                    |   47 +
 ui/Makefile.am                                     |   85 +
 ui/Makefile.in                                     |  943 ++
 ui/gku-prompt-marshal.c                            |   89 +
 ui/gku-prompt-marshal.h                            |   20 +
 ui/gku-prompt-marshal.list                         |    1 +
 ui/gku-prompt-tool.c                               | 1201 +++
 ui/gku-prompt-util.c                               |  222 +
 ui/gku-prompt-util.h                               |   49 +
 ui/gku-prompt.c                                    | 1293 +++
 ui/gku-prompt.h                                    |  168 +
 ui/gku-prompt.ui                                   |  358 +
 ui/tests/Makefile.am                               |   14 +
 ui/tests/Makefile.in                               |  672 ++
 ui/tests/test-data/prompt-empty                    |    4 +
 ui/tests/test-data/prompt-full                     |   17 +
 ui/tests/test-data/prompt-test                     |    8 +
 ui/tests/test-suite.c                              |   32 +
 ui/tests/test-suite.h                              |   11 +
 ui/tests/unit-test-util.c                          |  136 +
 793 files changed, 293920 insertions(+)
